2009-03-09  Rob Savoye   <rob@welcomehome.org>

	apply patch for port in bug #25777.

2009-03-09  Rob Savoye   <rob@welcomehome.org>

	add LIBADD_DL to try to keep ubuntu happy always.

2009-03-09  Rob Savoye   <rob@welcomehome.org>

	add testsuite directory back in.

2009-03-09  Markus Gothe  <nietzsche@lysator.liu.se>

	Moved ifdef's around

2009-03-08  Markus Gothe  <nietzsche@lysator.liu.se>

	Since this function is empty (at least) Apple GCC 4.2 fails to call it, making it noinline fixes the issue

2009-03-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Keep OpenSolaris build happy

2009-03-07  John Wimer  <john@god.vtic.net>

	stop unsetting fullscreen twice in a row

2009-03-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Updated Czech translation.

2009-03-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include gnashconfig.h for HAVE_POLL_H. Use non-reserved header guard.

2009-03-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include correct header for is_iequal().

2009-03-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include correct header.

2009-03-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More implementation and testing of TextSnapshot. Rename some types and
	make style more consistent.

2009-03-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Corrections to findText implementation.

2009-03-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement TextSnapshot.findText().

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename and re-scope some types.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop typedef from fn_call.h.

2009-03-05  Rob Savoye   <rob@welcomehome.org>

	look for lber still, ubuntu seems to need it.

2009-03-05  Rob Savoye   <rob@welcomehome.org>

	don't access _pollfds if poll.h isn't found

2009-03-05  Rob Savoye   <rob@welcomehome.org>

	look for the the poll.h and epoll.h headers, as some platforms implement this entirely in a header file, so looking for the function in the library fails.

2009-03-05  Rob Savoye   <rob@welcomehome.org>

	look for just uic too for qt4 builds.

2009-03-05  Rob Savoye   <rob@welcomehome.org>

	don't run the testcases till they're more stable.

2009-03-05  Rob Savoye   <rob@welcomehome.org>

	set the locale before running tests.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and partly implement TextSnapshot class.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make TextSnapshotTest-Runner run in make check.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fixes, xcheck->check.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Consolidate and clean up constructor code.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add tests for overridden TextSnapshot.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get VM from fn_call.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for TextSnapshot.
	
	Rework so that a pointer to all static Text character is kept in
	TextSnapshot_as. This is necessary for highlighting, which will
	require either access to the TextRecords or transform information (or both).
	
	Implement getText() and getCount() properly.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement TextSnapshot constructor. This isn't ideal, but like many other
	classes works for the majority of cases.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check that TextSnapshot can't be constructed with a string arg either.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add virtual getStaticText() to character class for retrieving a string from
	static text fields.
	
	Add virtual extractStaticText() to character_def for querying definitions for 
	static text.
	
	Implement extractStaticText in DefineTextTag. It uses Font::codeTableLookup().
	
	Add MovieClip::getTextSnapshot() to query the display list for static text,
	which is then added to a string.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement reverse lookup in code table, that is, return the unicode character
	of a given glyph. This is for TextSnapshot, which is certainly implemented
	as a special class/method of MovieClip because doing this is inefficient.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Code cleanups.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up header.

2009-03-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initial tests for TextSnapshot.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert more png changes so that configure runs again.

2009-03-04  Rob Savoye   <rob@welcomehome.org>

	revert change for png finding.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initial cleanup, testing, and corrections to TextSnapshot class.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get TextSnapshot properties correct. Passes in swfdec.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up TextSnapshot, minor corrections to initialization and visibility.
	First XPASS in TextSnapshot.as.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	check->xcheck

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test TextSnapshot AS behaviour.

2009-03-04  Rob Savoye   <rob@welcomehome.org>

	Don't try to reference AM_CXXFLAGS since it isn't set yet.

2009-03-04  Rob Savoye   <rob@welcomehome.org>

	look for moc in addition to moc-qt4. fixes #25758.

2009-03-04  Rob Savoye   <rob@welcomehome.org>

	improve test for broken floating point.

2009-03-04  Rob Savoye   <rob@welcomehome.org>

	add test for borken floating point when compiling optimized.
	add -ffloat-store is floating point is broken when optimized.
	merge from branch.

2009-03-03  Rob Savoye   <rob@welcomehome.org>

	add support for AMF remoting call,  packet header and messages.

2009-03-03  Rob Savoye   <rob@welcomehome.org>

	add support for AMF remoting call,  packet header and messages.

2009-03-03  Rob Savoye   <rob@welcomehome.org>

	add support for encoding packets, messages, and all the appropriate headers.
	add test cases to test packet encoding.

2009-03-02  Rob Savoye   <rob@welcomehome.org>

	add new files.

2009-03-02  Rob Savoye   <rob@welcomehome.org>

	new code and test case for AMF remoting calls.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log codec number for unknown codecs.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	If mallinfo is used whenever HAVE_MALLINFO is defined, it also has to be
	linked.

2009-03-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix mallinfo linker flags for libbase/gmemory.h, which is built automatically
	when HAVE_MALLINFO is defined. Fixes OpenSolaris build, though it might
	also be better to make this part optional.

2009-03-04  Markus Gothe  <nietzsche@lysator.liu.se>

	Updted runtime copyright-info

2009-03-04  Markus Gothe  <nietzsche@lysator.liu.se>

	Fix int16 -> uint32 as Bastiian pointed out

2009-03-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and minor fix to MovieClip.meth (can be used with any object).
	
	Drop typo function definition.
	
	Log names of codecs.

2009-03-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow MovieClip.getURL() to be called as a method of any as_object. Fixes
	more YouTube widgets. Thanks again to Michael F?tsch <foetsch@yahoo.com>
	for locating the bug.
	
	Test MovieClip.getSWFVersion() when attached to other objects.

2009-03-02  Bastiaan Jacques  <bastiaan@bjacques.org>

	Prevent the plugin from spawning two processes for the same movie.

2009-03-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Send event on gui-initiated fullscreen.
	
	Minor cleanups.

2009-03-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Set fullscreen via core. This is necessary because many video players change
	form when they receive a Stage display state event (onFullScreen). Pressing
	escape on YouTube fullscreen now restores the widgets correctly.
	
	This also now applies to the fullscreen option from the Gnash menu for the
	same reason. It potentially reduces user control by notifying actionscript
	on every change, so may be revised if it makes Gnash less useful.
	
	Rename enums, minor cleanups.

2009-03-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use ctor initializers properly. Don't reimplement vector::erase().

2009-03-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up code and formatting.

2009-03-02  Markus Gothe  <nietzsche@lysator.liu.se>

	Fix when we don't use Speex resampling

2009-03-01  Bastiaan Jacques  <bastiaan@bjacques.org>

	Give full visibility to the remaining objects that are thrown across DSOs.

2009-03-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't forget to assign super in function.apply(). Fixes YouTube fullscreen
	button and new mtasc tests. Thanks to Michael F?tsch for identifying the bug.

2009-03-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test super() behaviour with function.apply() (gnash fails)

2009-02-28  Bastiaan Jacques  <bastiaan@bjacques.org>

	IOException is thrown across DSOs so it must be exported, or it won't be
	caught. See http://gcc.gnu.org/wiki/Visibility .

2009-02-27  Rob Savoye   <rob@welcomehome.org>

	fix minor typo in dumpconfig message.

2009-02-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Patch from Bernhard Rosenkraenzer fixing cygnal build with visibility,
	modified also to drop a useless visibility attibute.

2009-02-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fixes and code cleanup for flash package classes.
	
	Use as_environment::find_object() to make code more readable and reduce
	duplication.
	
	Correct return values when objects are overwritten. Use versioned strings.
	Passes in actionscript.all and swfdec.

2009-02-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore correct characters munged up by Dubious Proprietary Operating
	System and making tests fail.

2009-02-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop empty DMALLOC and LIBXML flags everywhere and unused
	checks from configure.ac

2009-02-26  Rob Savoye   <rob@welcomehome.org>

	gotta enable qt too when building gui=all

2009-02-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Changes to allow compilation with OpenSolaris: include correct header
	for finite(); Use 'struct utsname' instead of 'utsname'; be consistent
	with fixed-size int type usage.

2009-02-26  Rob Savoye   <rob@welcomehome.org>

	rearrange headers, and move oputside the name space so swscale functions actually get found at link time.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	rearrange header order to fix build on mips.

2009-02-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modify types to keep older gcc (3.4) happy. Partly fixes OpenSolaris build.

2009-02-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove comments from the end of preprocessor directives, as some compilers
	choke on them.
	
	Add missing return.
	
	Break some long lines.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	update copyright date to 2009, from patch #6755, v3.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	update copyright date to 2009, from patch #6755, v3.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	we don't need the --enable-mit-shm option anymore.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	patch from Paul Smedley so OS2 builds.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	update copyright date to 2009, from patch #6755.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	fix typo so file gets in the dist tarball.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	we don't need the --enable-mit-shm option anymore.

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	patch from Paul Smedley so OS2 builds.

2009-02-25  Bastiaan Jacques  <bastiaan@bjacques.org>

	Fixing bug #25670 (Gst/MP4 contained AAC audio doesn't play):
	
	* libmedia/gst/MediaParserGst.cpp: Only search for a parsing element if
	the GstCaps indicate that the demuxer has done no parsing or framing.
	* libmedia/gst/swfdec_codec_gst.{c,h}: Allow sink pad connection method
	to be called with either a GstPad or a GstElement. 

2009-02-25  Rob Savoye   <rob@welcomehome.org>

	update copyright date to 2009, from patch #6755.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix device font display properly (patch from Michael F?tsch), drop
	compile-time option for pp-compatible font handling.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Note on test.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove PP_COMPATIBLE_DEVICE_FONT_HANDLING macro. Because at least one
	prominent case relies on this 'bug' (YouTube), it's no longer optional.
	The other strange behaviour of device fonts (rotation) is not implemented.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correctly render device fonts with parent cxform. Fixes YouTube 'recently watched' widget

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove duplicate definition of SwsContextWrapper after merge from
	release branch. It is now back in the implementation file, because there's
	no benefit to having it in a header unless that header is included by all
	places that use SwsContextWrapper (e.g. VideoDecoderFfmpeg).

2009-02-24  Rob Savoye   <rob@welcomehome.org>

	merge from release branch.

2009-02-24  Rob Savoye   <rob@welcomehome.org>

	fix the path to asobjs, which had changed.

2009-02-24  Rob Savoye   <rob@welcomehome.org>

	don't build the gtk extension.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Merge: OpenBSD build fix.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Merge Xv config file test.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Merge: XV documentation.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Merge: XV support part 2.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Merge: XV support part 1.

2009-02-22  John Wimer  <john@god.vtic.net>

	Merge from trunk fixes related to fullscreen when in plugin mode

2009-02-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge fix to leak in gst codec information from trunk.

2009-02-24  Sandro Santilli  <strk@keybit.net>

	Advertise XVideo support on 'make dumpconfig' when built-in (only for GTK gui atm)

2009-02-24  Rob Savoye   <rob@welcomehome.org>

	don't try to run the testsuite for distcheck, we do that as a separate step.

2009-02-24  John Wimer  <john@god.vtic.net>

	Remove the requirement of the browser being gtk2 based. It's no longer needed.
	This allows QtWebKit to embed the gnash plugin (gtk and kde4 both work)

2009-02-23  Rob Savoye   <rob@welcomehome.org>

	fix typo so VideoConverterGst.h gets included in the dist tarball.

2009-02-23  Sandro Santilli  <strk@keybit.net>

	Add actual testing for XVideo RC setting

2009-02-23  Sandro Santilli  <strk@keybit.net>

	Consider signal interruption of select as a timeout. Makes klash survive popups.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Document the gnashrc XVideo setting.

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Add system header for compilation on OpenBSD.

2009-02-23  Sandro Santilli  <strk@keybit.net>

	Oops, I broke builds *with* media in last commit, now fixed

2009-02-23  Sandro Santilli  <strk@keybit.net>

	Fix build w/out media handler, and avoid aborting as a consequence (no media => no sound)

2009-02-23  Sandro Santilli  <strk@keybit.net>

	drop unused methods

2009-02-23  Sandro Santilli  <strk@keybit.net>

	Dunno why close() was commented out, later test for state==CLOSED obviously failed like that

2009-02-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	XV support, part 2.
	
	macros/x11.m4: Look for the Xv library and header file.
	gui/am-frag/gtk.am: Build Xv if it's availabe on the system.
	libbase/rc.{cpp,h}: Add "XVideo" boolean setting for gnashrc.
	gui/gtk.cpp: If Xvideo is available and enabled in gnashrc, try to use
	it and fall back on normal rendering if that fails.
	gui/gtk_glue_agg_xv.{cpp,h}: Xv glue implementation that originates from
	the proof-of-concept patch by Craig Kelley <namonai@gmail.com>.
	gui/gui.h: Remove unused method.
	libmedia/ffmpeg/VideoConverterFfmpeg.cpp: Add guard parenthesis around
	struct initializer.
	libmedia/gst/VideoConverterGst.cpp: Ensure that the decoder exists 
	before we attempt to clean it up.

2009-02-23  Markus Gothe  <nietzsche@lysator.liu.se>

	class refactoring and extern C for the include for libswscale

2009-02-22  John Wimer  <john@god.vtic.net>

	Allow Kde4gui plugin to properly re-embed when exiting fullscreen mode

2009-02-22  John Wimer  <john@god.vtic.net>

	Add the edit submenu menu to the popup menu

2009-02-21  Rob Savoye   <rob@welcomehome.org>

	get rid of extraneous newline in text field.

2009-02-21  Bastiaan Jacques  <bastiaan@bjacques.org>

	XV support, part one: colorspace conversion.
	
	* libmedia/VideoConverter.h: Base class for video converter 
	implementations.
	* libmedia/MediaHandler.{h}: Media handler support for creating
	video converter objects.
	* libmedia/ffmpeg/MediaHandlerFfmpeg.{cpp,h}: Support creating 
	the ffmpeg video converter.
	* libmedia/gst/MediaHandlerGst.{cpp,h}: Idem dito.
	* libmedia/gst/swfdec_codec_gst.{c,h}: Add a function specifically
	for creating a colorspace conversion "pipeline".
	* libmedia/ffmpeg/VideoConverterFfmpeg{cpp,h}: Implementation of the
	ffmpeg video converter.
	* libmedia/gst/VideoConverterGst.{cpp,h}: Gstreamer video converter
	implementation.
	* libmedia/Makefile.am: Enable building of newly added files.

2009-02-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prevent illegal read if the AMF buffer isn't long enough for an
	advertised NUMBER type. Fixes a memory error in test_rtmp (hex7,
	line 729). Why it isn't long enough is another matter, but we should
	be able to deal with corrupt AMF data anyway.
	
	Make indentation more consistent within the file.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	merge from release branch test case improvements.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	attempt to make this test case more stable.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	don't delete the dataptr, it causes troubles.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	various minor cleanups to keep valgrind happy.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	don't close the file.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	delete the data pointer after unmapping so we don't leak.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	make less verbose.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	fix hex input, it was missing a legit object terminator which screwed up parsing.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	fix hex input, it was missing a legit object terminator which screwed up parsing.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	fix valgrind errors in test cases.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	merge patches to fix testcase from release branch.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	all responses have one more element, so adjust the counts used for testing.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	make less verbose.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	make sure kde3,kde4 test works on OpenBSD 4.4.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	make sure one has the proper development versions of kdelibs, as on Debian
	derived distributions, you can only have either kde3 or kde4 installed, not
	both. This still allows one to build both kde3 and kde4 on other distributions
	at the same time if kde3,kde4 is specified. Fixes Bug #25613.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	don't look for libber.

2009-02-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Updated Finnish translation

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	make sure kde3,kde4 test works on OpenBSD 4.4.

2009-02-19  Rob Savoye   <rob@welcomehome.org>

	make sure the right version of kde is installed. Fixes #25613

2009-02-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't leak gstreamer codec strings. Add more codec information for gst
	audio decoder.

2009-02-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Updated Finnish translation

2009-02-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge compiler warning fixes from 0.8.5 branch.

2009-02-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence compiler warnings for unused variables. Use boost format or
	stringstreams to avoid problems with different size size_t. Fix 
	uninitialized values and absent return value.

2009-02-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix warnings, use typedefs and a function object for clarity. Add assertion
	to make sure memory won't be silently corrupted and to make programme logic
	clear.

2009-02-18  Rob Savoye   <rob@welcomehome.org>

	tweak the kdelibs missing package message for fedora versions.

2009-02-18  Rob Savoye   <rob@welcomehome.org>

	tweak the kdelibs missing package message for fedora versions.

2009-02-18  Rob Savoye   <rob@welcomehome.org>

	don't let eof let us assume there is no data to parse.

2009-02-18  Rob Savoye   <rob@welcomehome.org>

	don't let eof let us assume there is no data to parse.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	merge from 'rtmp' branch.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	ifdef out the XFAIL test case, as cxfail() isn't in a released version of DejaGnu yet.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	reverse the properties of a typed object when responding to a red5 echo test.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	verify all test cases after fixing bugs in core library.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	add method to clear all the properties held by an Element.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	reduce verbosity.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	reverse the properties in the echo response for a Typed Object array.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	fix encoded of Typed AMF Objects by adding the name.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	trap some strings when the length has been corrupted.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	Only enable the memory corruption tests sometimes as they keep test cases from running valgrind clean.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	parse Typed objects correctly.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	move where th cache size is defined. add overload for sendMsg() to take a raw pointer and byte count.

2009-02-13  Rob Savoye   <rob@welcomehome.org>

	get the relationship beteen streamid and clientids correct.
	create new stream ids correctly.
	clean up creating a new stream.

2009-02-12  Rob Savoye   <rob@welcomehome.org>

	the object has 4 properties, not 3.

2009-02-11  Rob Savoye   <rob@welcomehome.org>

	add room for the NULL string terminator when resizing a string element.

2009-02-10  Rob Savoye   <rob@welcomehome.org>

	create the responses for NetStream::Play() and NetStream::Reset().

2009-02-10  Rob Savoye   <rob@welcomehome.org>

	add accesot to return only one element from the vector of properties.

2009-02-10  Rob Savoye   <rob@welcomehome.org>

	add support to encode a onStatus packet.

2009-02-10  Rob Savoye   <rob@welcomehome.org>

	add enum value for createStream reponse.

2009-02-10  Rob Savoye   <rob@welcomehome.org>

	add a flag to not encode as an object, but merely as a list of the properties
	as used by some response packets.
	if makeString() is done to an existing object, replace the old value with the
	new one after adjusting the buffer size if need be.

2009-02-09  Rob Savoye   <rob@welcomehome.org>

	process all messages in a loop, leave old way ifdef'd out for now.

2009-02-09  Rob Savoye   <rob@welcomehome.org>

	use the target arguments, and check for the correctly offset RTMP port.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	improved main message processing loop.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	less verbosity.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	when only using one port, force single threaded mode.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	don't use a reference to a class in a std::map, older versions of g++ don't like it.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	multi threaded is now the default, change to -s to force single threaded.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	don't use a reference to a class in a std::map, older versions of g++ don't like it.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	drop newline in debug message.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	don't try to process properties if there aren't any.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	process an ECMA array's like an Object with terminator bytes.

2009-02-04  Rob Savoye   <rob@welcomehome.org>

	better handling of multiple RTMP messages that aren't the echo test.

2009-02-03  Rob Savoye   <rob@welcomehome.org>

	one too many for a short.

2009-02-01  Rob Savoye   <rob@welcomehome.org>

	merge from trunk

2009-01-31  Rob Savoye   <rob@welcomehome.org>

	allocate new memory for thread argumwnts as gcc seems to optimize them to be the same address otherwise.

2009-01-31  Rob Savoye   <rob@welcomehome.org>

	return an error if the file doesn't exist.

2009-01-31  Rob Savoye   <rob@welcomehome.org>

	make less vesbose when corrupting the file for testing.

2009-01-31  Rob Savoye   <rob@welcomehome.org>

	parse the parameters in a GET request if they exist.

2009-01-18  Rob Savoye   <rob@welcomehome.org>

	add back test cases for parsing the GET request line.

2009-01-18  Rob Savoye   <rob@welcomehome.org>

	don't wait for more data if we read it all.

2009-01-18  Rob Savoye   <rob@welcomehome.org>

	look for the ? that seperates the parameters from the filespec.

2009-01-18  Rob Savoye   <rob@welcomehome.org>

	add private data for the parameter to an URL.

2009-01-18  Rob Savoye   <rob@welcomehome.org>

	set the seek pointer when copying data into the buffer.

2009-01-04  Rob Savoye   <rob@welcomehome.org>

	track AMF references.

2009-01-04  Rob Savoye   <rob@welcomehome.org>

	use a shared_ptr for the active channels instead of a private data variabel.

2009-01-04  Rob Savoye   <rob@welcomehome.org>

	add additional test case for split.

2009-01-04  Rob Savoye   <rob@welcomehome.org>

	treat Typed Object like regular Objects with a different type.

2009-01-04  Rob Savoye   <rob@welcomehome.org>

	make Sane string length the max size.

2009-01-01  Rob Savoye   <rob@welcomehome.org>

	split all buffers at chunksize boundaries into distinct messages.

2009-01-01  Rob Savoye   <rob@welcomehome.org>

	fixed enough to compile and not core dump, but has failures.

2009-01-01  Rob Savoye   <rob@welcomehome.org>

	uncomment test_rtmp.

2009-01-01  Rob Savoye   <rob@welcomehome.org>

	remove useless commented out stuff.

2009-01-01  Rob Savoye   <rob@welcomehome.org>

	add corrupt() methods to randomly corrupt data in a Buffer for stress testing.

2009-01-01  Rob Savoye   <rob@welcomehome.org>

	add tests cases to make sure we can handle corrupted packets when decoding AMF.

2008-12-31  Rob Savoye   <rob@welcomehome.org>

	correctly jump past the terminator bytes for Object.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	add to_short() and to_integer() accessors for the Element data.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	add tests for Reference types.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	add support for decoding and encoding Reference types too.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	encode as a Null String if the length is zero.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	encode the right element to get more test sucesses.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	move rtmp_server from libnet to cygnal, as it's becoming less generic, and more cygnal specific.
	check the threading flag from the config file. If in single threaded mode,
	all RTMP packets are processed in the one function, as there is no distpatch
	thread. When multi-threaded, return to the top level after processing a packet
	as the distpatch handler will call the rtmp_handler for the next packet of data.
	cygnal almost survives the red5 echo test all the way through!

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	for the echo tests, stay in the handler as we're also in single threaded mode.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	move rtmp_handler to the end of the file. Build the handshake response as one big packet to keep the other players happy.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	minor change to error handling return codes.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	minor change to error handling return codes.

2008-12-30  Rob Savoye   <rob@welcomehome.org>

	use the port_offset option for RTMP too.

2008-12-29  Rob Savoye   <rob@welcomehome.org>

	add the encoded NULL object before the echo'd data.

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge warning and build fixes from trunk.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	add methods to parse and format responses to the Red5 tests.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	extract data from the connect() object so we know what file it wants.
	only do the connect() when initializing.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	find the properties of objects in the message.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	don't name the object 'application', add the code property before descritption.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	implement sendMsg to a working point.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	make a buffer bigger.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	adjust the seek pointer when manually adding data. Send Ping and then Response messages to the connect() mesage.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	improve exception error messages.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	Only do the handshake the first time the handkler is called. Process the connect() message now.

2008-12-28  Rob Savoye   <rob@welcomehome.org>

	fix the split() method to be less complex.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	parse the Elements correctly for the first message.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	decode the msg body from the right offset

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	refactor heavily to work with the new network engine and threading scheme.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	RTMP_BODY_SIZE has been renamed to RTMP_HANDSHAKE_SIZE.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	RTMP_BODY_SIZE has been renamed to RTMP_HANDSHAKE_SIZE.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	fix usage of boost::shared_ptr.
	refactor heavily to deal with the new network engine.
	completely change how sendMsg() and recvMsg() work.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	bring the RTMP support back to life.
	add --only-port= option to force RTMPT or RTMP when in single threaded mode.
	This is only used for testing of course.

2008-12-27  Rob Savoye   <rob@welcomehome.org>

	call hexify() ourselves to be more convienient when debugging Buffer contents.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	merge from trunk after syncing from branch.

2009-02-16  Rob Savoye   <rob@welcomehome.org>

	This is a normal case, since we check many places for an RC file.
	So don't complain bitterly every time we run gnash! 

2009-02-16  Markus Gothe  <nietzsche@lysator.liu.se>

	Added licensing + code refactoring(Vitaly liked structs, I prefer pure C++-classes)

2009-02-15  Rob Savoye   <rob@welcomehome.org>

	make snapshot-deb a phony target, and add dependencies.

2009-02-15  Rob Savoye   <rob@welcomehome.org>

	modify install paths for kde4 on ubuntu.

2009-02-15  Rob Savoye   <rob@welcomehome.org>

	use 'system' install option instead of a pile of seperate options.

2009-02-15  Rob Savoye   <rob@welcomehome.org>

	fix the default install paths for kde4.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	building debs almost works again.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	build a working xpi! This seems to have broken xpcom support, and requires GNASH_PLAYER to find the executable.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	add some documentation of the package building process, make sure the xpcom part gets installed too.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	add a recursive target for install-pkglib, which is needed wheb building an xpi.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	add cygnal.h so it gets in the distfile.
	add some documentation on package building.
	Get xpi packages to build again, but using the snapshot-* targets.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	add yum info for missing packages instead of just .deb ones.

2009-02-14  Rob Savoye   <rob@welcomehome.org>

	fix packaging so we can build rpm snapshots again.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add 2009 to publicly visible copyright dates.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop jump / step from kde3 as well.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix Etch build properly.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build failure (type mismatch) in gst.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	I18n fixes and updates.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Let xgettext know about _q, or it won't pick up KDE translations.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update current translation files.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove Swedish translation. There were only four strings translated into
	Swedish and all had changed since the original work. The rest
	was in German or not done at all, and the character encoding was wrong.
	
	It will be less work to start a new translation than keep that one.

2009-02-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Create gnash.pot in the source directory, where xgettext looks for it.

2009-02-11  John Wimer  <john@god.vtic.net>

	Load strings returned from gettext()/_() as utf8 strings before they are converted into QString

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix more warnings and hopefully the build with older GTK versions
	(error popup).

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build on older gcc by swapping operands about and casting 0 to
	streampos where necessary.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence Machine warnings resulting from commenting out a hackish and
	obstructive use of fn_call().

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Wide-ranging but generally minor changes to align interfaces and documentation,
	move local functions out of class definitions, clean up GTK code and make
	variable names shorter to reduce the number of very long lines, and
	make access route to VM simpler.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Further clean up.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move local callback functions out of the class definition.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up GTK code (less casting, drop commented-out code), add some (not
	yet working) disabled code for quality settings. Don't log on resize_view
	any more, as there doesn't seem to be a bug here.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Corrections to curl_adapter types.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Formatting.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make getting VM from fn_call easier. Hold environment by reference.
	
	Reduce calls to VM::get() by getting it from other places.
	
	Give PropertyList a _vm member.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make getting VM from fn_call easier. Hold environment by reference.
	
	Reduce calls to VM::get() by getting it from other places.
	
	Give PropertyList a _vm member.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reduce VM singleton use, drop unused step/jump menu methods because they
	use VM::get() and are all disabled.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add TODO.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor refactoring and formatting.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make IOChannel implementations reflect the documentation more. Drop
	error codes for a boolean bad(). Use streamsize for bytes written to / read
	from streams, streampos for positions, and size_t for stream size, which
	is logically correct, consistent, and reduces unnecessary casting.
	
	Silence plugin debugging again.
	
	consumeInput() should also apparently update bytesTotal.

2009-02-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-02-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add video codec information to gst when codec construction fails. Include
	warning about gstreamer-ffmpeg when the codec is FLV or h264.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initial (and very basic) support for transferring error messages to
	GUI popups, with ability to turn popups off.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add an optional error() function to the AbstractIFaceCallback for
	sending important errors to the hosting application.
	
	Report media decoder creation problems to the hosting application.
	
	Pop up a window in the GTK gui warning about problems. This is quite helpful
	for ffmpeg, not very helpful for gstreamer (no codec information).
	
	Allow turning off GUI popups in the rc file.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rework NamingPolicy to use base URL for ease of finding saved media.
	
	Move StreamProvider and NamingPolicy functionality out of the core to the
	hosting application to keep libcore clean. Improve interfaces.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop obsolete code from GTK gui, revert some unfinished work on GTK gui that
	wasn't intended for committing.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	StreamProvider owns the NamingPolicy object (no obvious need for
	shared ownership).
	
	Add NamingPolicy files.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move NamingPolicy to its own files in libbase.
	
	StreamProvider is no longer a singleton and must be passed to the RunInfo.
	The NamingPolicy for cache files may be passed to the StreamProvider (either
	in the ctor or using setNamingPolicy()).
	
	RunInfo pointers are now shared_ptrs to signify shared ownership; this
	reduces the importance of construction/destruction order and should
	make future refactoring easier.
	
	LoadVariablesThread takes a StreamProvider in the ctor in order to fetch
	its stream.

2009-02-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update pre-built moc file for kde4, or it won't link when the moc
	isn't automatically generated.

2009-02-09  Markus Gothe  <nietzsche@lysator.liu.se>

	Applied patch from bernie@codewiz.org

2009-02-08  John Wimer  <john@god.vtic.net>

	Add preferences dialog to Kde4 gui.
	The layout can be improved, but the functionality works.

2009-02-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prevent abort on apparently poorly-formed embedded MP3.

2009-02-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop apparently wrong assertion that the decode will always consume what's
	passed to it if there's no error.

2009-02-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stop glyph count corrupting terminal output.

2009-02-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Patch for hiding the menubar in standalone Gnash.

2009-02-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename no-menu to hide-menubar, as it doesn't hide the right-click menu.
	
	Drop mystery 'm' option.

2009-02-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add no-menubar option

2009-01-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixes issue with path-traversion

2009-01-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow users the option of saving loaded or streamed media, currently 
	using a fairly rudimentary an inflexible system of naming files.
	
	The naming system will be improved by using a functor, and the naming
	code may be moved somewhere more suitable.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add an overwrite-existing naming policy.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use StreamProvider to get current NamingPolicy; may be moved somewhere 
	else eventually.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Split saveMedia into saveStreamingMedia and saveLoadedMedia. Save in
	directories based on hostname.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Write values to rcfile, correct typo.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use user-specified target directory for saving media streams. Save
	rcfile values properly.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow saving cached media streams permanently on disk (NetConnection
	only at present).
	
	RcInitFile support for target directory and on/off toggle.
	
	GUI support for turning on/of and setting target directory.
	
	Target directory is currently ignored.
	
	Use GnashSystemFileHeaders.h for stat(), dup() includes.

2009-01-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix visibility build (again).
	
	Remove some junk from swfdec PASSING file.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve portability and make useful code more widely available.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Copyright boilerplate and header descriptions.

2009-01-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move system headers and useful utilities for file handling to 
	libbase/GnashFileUtilities.{cpp,h} (compatibility header).

2009-01-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Build fixes (visibility), minor formatting changes, comments.

2009-01-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-01-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence uninitialized variable warning.

2009-01-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another visibility build fix for OGL

2009-01-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix visibility build for OGL

2009-01-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop c_str().

2009-01-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-01-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add note about hitTest in shape.

2009-01-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Formatting.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update copyright date to 2009.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add 2009 to copyright for all files modified since 2009-01-01 (and a
	few that haven't - blame GNU find).

2009-01-22  Bastiaan Jacques  <bastiaan@bjacques.org>

	Use boost::bind instead of binder2nd to avoid a reference-to-reference
	issue in GCC 4.1. Fixes bug #25381.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement TextField.replaceSel().

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log AS error.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and implement TextField.replaceSel().

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement _quality and _highquality for TextField and Button.
	
	Clean up AGG renderer and rendering interface; agg now passes all
	the DrawingApi tests.
	
	Revert cxform commit 10545.1.13, which broke things.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert cxform changes.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove styles from draw_shape_character() in renderer interface, as these
	should be obtained from the character definition.
	
	Other AGG cleanups.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct unimpl messages.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop display() function with custom matrix and styles from shape_character_def.
	
	Drop unused dummy line and fill styles from TextRecord.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement _quality and _highquality for TextField and Button. 
	Passes in actionscript.all. Expect one failure, as it was only passing
	because unimplemented; now it fails for the same reason as other
	prototype (non-)properties.

2009-01-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-01-22  Rob Savoye   <rob@welcomehome.org>

	include bind.hpp for gcc 4.2.4

2009-01-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make rendering interface more consistent and simple to use.
	
	Clean up agg to use ctors properly, reduce code duplication, and replace
	long-winded manual loops to make refactoring easier.

2009-01-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence logging.

2009-01-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups, fix ogl and cairo builds.

2009-01-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor refactoring.

2009-01-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reduce number of operations in cxform::transform, as it's called a lot.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix initialization order.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't delay construction of elements; construction in a ctor-initializer
	allows some compiler optimizations.
	
	Encapsulate variables better.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor refactoring.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comments.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modify draw_line_strip (agg only).

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused header, consolidate agg renderer code more.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More clean ups, and drop unused caching code, at least until someone wants to
	use it.

2009-01-20  Sandro Santilli  <strk@keybit.net>

	typo: GIF_CFLAG->GIF_CFLAGS (bug #25365)

2009-01-20  Sandro Santilli  <strk@keybit.net>

	dump info about GIF libs and cflags

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow manual override of _quality setting. Clean up VideoRenderer.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up VideoRenderer and other bits of the agg renderer.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop some unused code.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct quality override.

2009-01-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Movie Quality enum to gnash.h so it's easier to share.
	
	Add an override for quality, using -1 for the AS / SWF quality setting,
	otherwise a permanent manual override.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement and test _quality and _highquality, currently only settable from
	MovieClips. There is presently no manual override, but this will be trivial to
	implement.
	
	Implement Video.smoothing, which makes YouTube look more attractive in 
	the AGG renderer. Because this also depends on the _quality / _highquality
	setting, it can still only be set via ActionScript.
	
	Tidy up render_handler.h. Since the Gnash VM will have to be more closely
	integrated with the render_handler, new code is not in the proxy
	libcore/render.h, but rather in render_handler.h.
	
	Remove anti-aliasing flag and other related, renderer-specific enums from
	the render_handler base class- Renderers should now query the _quality
	member when deciding how to render; details of how they do it should
	be kept internal and not pollute the renderer API.
	
	Use a new VideoRenderer class in the AGG backend for drawing video frames. This
	may be used to keep instances alive across frames if necessary. Its interface
	needs more improvement. 

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence debugging.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Video.smoothing and Video.deblocking shouldn't be read-only. Fixes
	YouTube (and any other SWF using smoothing).

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update drawVideoFrame signature.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Video.smoothing, and only use high-quality interpolation when
	smoothing is requested and quality is HIGH or BEST.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix OGL build again.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite run again.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement _quality for MovieClips (not yet Buttons or TextFields), 
	correct initialization order in agg (hard to spot these errors amongst all
	the agg warnings).

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve _highquality getter/setter, test _quality.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add templated functions for rendering video with different quality.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move typedefs, and don't divide by 20.0 only to multiply by 20.0 again.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce VideoRenderer class.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Typedef ClipBounds.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanup.

2009-01-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Start implementation of a quality setting. Clean up render_handler header
	so it looks more like an interface.

2009-01-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another OpenBSD build fix and some tests for blendMode confirming the
	way it was implemented was correct (large numbers do not truncate).

2009-01-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some more tests for blendMode argument, and cast to int before casting
	to BlendMode because OpenBSD's compiler can't do double to BlendMode.

2009-01-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build on OpenBSD, add missing include in Global.cpp.

2009-01-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New tests and fix for hitTest.

2009-01-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add the HitTests test.

2009-01-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Ignore _root transform for getWorldMatrix when doing pointInBounds test.
	Do this by supplying an extra argument to getWorldMatrix (default true) for
	whether to concatenate the Stage transform.
	
	Add new HitTest tests. Gnash now passes most, and bowman.swf works
	(bug #21588 fixed).

2009-01-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New HitTest test in actionscript.all.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Numerous AS fixes for 26 new swfdec testsuite and some actionscript.all
	passes.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Finish documentation.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add pass in swfdec.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Always start the NetStream advance timer, so that status notifications
	are always sent. Pass in swfdec testsuite.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Break long lines, especially long comments appended to lines of code,
	which are annoying and horrible.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean ups.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cosmetic change.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register LoadVars.decode as an ASnative, move to LoadableObject, and drop
	type checking. Passes in swfdec testsuite.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-01-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Assign correct "this" in function apply() calls undefined or non-object
	first argument.
	
	The only remaining failure in function-apply is the fact that arrays can't
	be faked in Gnash.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	function-apply-5.swf passes now the whole trace is compared.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modify sed script so it doesn't drop half the lines from
	function-apply-?.out.swf.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct prop flags for "extends". SWF5 still fails, probably because of
	prop flags when looking up constructor and __proto__.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct Error implementation. Passes in actionscript.all.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass a const std::string& to add_empty_movieclip().

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Split long lines.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prefer valueOf over toString for all objects when comparing as_values where
	this is an object. Fixes ActionNewEquals for dates in SWF6+, and some
	swfdec testcases.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make leap years calculation more readable and do what it's supposed to.
	
	Handle setYear arguments properly.
	
	Passes in actionscript.all, and 8 more swfdec passes.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do doubleToString better in as_value. Move dox to header.
	
	Check Date.setTime() arguments better, so that swfdec test passes.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More sensible name.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use string size_type properly.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean it up and make safe.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleaned up but slightly unsafe version of parseInt.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Start using as_value::parseInt for Global.parseInt.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move number conversion into separate functions so it can be used for
	parseInt too.

2009-01-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a couple more tests in Number.as (all passing).

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't leak LoadVariablesRequests when finished with.

2009-01-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Updated Finnish translation

2009-01-10  Sandro Santilli  <strk@keybit.net>

	Check that getBytesLoaded/getBytesTotal simply return the value of _bytesLoaded and _bytesTotal, which exist right after a call to load (for both LoadVars and XML objects)

2009-01-10  Sandro Santilli  <strk@keybit.net>

	XML test: check that _bytesLoaded and _bytesTotal are set by XML.prototype.load call; use hasOwnProperty in SWF5 too; fix run with SWF8

2009-01-09  Sandro Santilli  <strk@keybit.net>

	return NaN from Math.pow if first arg is not finite: fixes math-function tests from swfdec

2009-01-09  Sandro Santilli  <strk@keybit.net>

	Use the versioned to_string for String.concat. This was easy. Why isn't to_string *always* versioned btw ?

2009-01-09  Sandro Santilli  <strk@keybit.net>

	Properly support hex and oct input for string-to-number, fixing tests in ours and swfdec testsuite

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	ActionScript / VM corrections, various swfdec and actionscript.all test
	passes.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Mouse is always initialized as an AsBroadcaster. Prop flags should take care
	of access for SWF5 and below.
	
	Correct Mouse prop flags.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Queue init event on dynamic MovieClip construction too. Passes tests in
	swfdec testsuite.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New test passes.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Retrieve Math args in the correct order (affects valueOf call order), always
	convert first two arguments, even when there are 3 or more, and convert
	arguments to Math.random() as well, even though both are unused.
	
	Passes swfdec tests.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Handle std::pow correctly.
	
	The swfdec math-function test now passes except for std::pow(Infinity, 0.4)
	and std::pow(-Infinity, 0.4), which are apparently supposed to return NaN.
	The pp LNX 9,0,115,0 returns Infinity, however, which also is what Gnash does.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prefer conversion to number on ActionNewLessThan, or comparison of
	Date objects fails.

2009-01-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make Math.min() and Math.max() (without arguments) return the correct value.
	
	Math.round() also calls valueOf on an unused second argument, if present,
	so we use a UnaryMathFunc and push it in the template like the rest.

2009-01-09  Sandro Santilli  <strk@keybit.net>

	skip *spaces*, not *blanks* -- fixes also an swfdec testcase

2009-01-09  Sandro Santilli  <strk@keybit.net>

	Skip leading blanks when doing string-to-number, fixes a few tests.
	Left tests are for 0x## forms.

2009-01-09  Sandro Santilli  <strk@keybit.net>

	more tests for string-to-number (more failing)

2009-01-09  Sandro Santilli  <strk@keybit.net>

	more tests for string-to-number (more failing)

2009-01-09  Sandro Santilli  <strk@keybit.net>

	Add failing tests for string-to-number

2009-01-09  Sandro Santilli  <strk@keybit.net>

	ActionPush: when pushing a string, don't compute size twice (once for advancing pointer, once for constructing a std::string)

2009-01-09  Sandro Santilli  <strk@keybit.net>

	don't copy character bounds while rendering

2009-01-09  Sandro Santilli  <strk@keybit.net>

	don't create a new agg::rgba8 for each range in clipbounds on begin_display

2009-01-08  Sandro Santilli  <strk@keybit.net>

	take matrix, cxform and rgba by const ref, not value

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Change the order of retrieving stack values in mathematical
	operations, as this changes the order of valueOf calls. Passes in
	swfdec math-actions.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make XML errors compatible (according to the swfdec testsuite).
	
	Correct ActionDivide when dividing by 0.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Handle division by 0 compatibly (and C++ standard compliant).

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Report missing closing tag. Tests in swfdec testsuite now pass (xml-error)
	for versions 7 and 8. The earlier version fail due to the string_table
	case bug.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	An empty tag counts as unterminated, and therefore malformed XML.

2009-01-08  Sandro Santilli  <strk@keybit.net>

	Split long action buffers and lines therein, should fix bug #25139

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor corrections to XML / XMLNode; some test passes.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Corrections to XML parsing and XMLNode output (escape attribute values).

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace action_type with ActionType in debugger too. Thanks to
	Michael F?tsch for pointing it out.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix memory corruption on XML parsing that was causing occasional crashes
	running the swfdec testsuite. Strange that it hasn't been noticed before.
	
	Just catch expected exceptions on function execution, or such errors can be
	hidden.

2009-01-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	AS corrections, some swfdec test passes.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct AsBroadcaster prop_flags, allowing override. Register native.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence debugging.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanup.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more checks for invalid variables names. Passes swfdec tests, though
	it's not entirely clear if this is the correct place to check.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prop flags of _customHeaders.

2009-01-07  Sandro Santilli  <strk@keybit.net>

	Fix backward comparison in getFileType

2009-01-07  Sandro Santilli  <strk@keybit.net>

	document semantic of return value from IOChannel::read(..)

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor simplifications.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Match typedefs, name padding bytes.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make getting a frame slice tidier and more efficient.

2009-01-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unneeded includes.

2008-12-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2008-12-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2008-12-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Header cleanup.

2009-01-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More rigorous use of parameters. Cleanups.

2009-01-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-01-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modifications to TagLoadersTable. Use SWF::TagType for the table key,
	as that's enforced for the loader_function anyway.

2009-01-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename tag_type enum to TagType and action_type to ActionType.
	Use SWF::TagType everywhere instead of sometimes int.

2009-01-05  John Wimer  <john@god.vtic.net>

	Keep the "Click to play" button from taking half the screen when in fullscreen mode.

2009-01-04  John Wimer  <john@god.vtic.net>

	Add Gnash icon to kde4 gui.
	Add Properties dialog to kde4 gui.
	Update moc file with new slot.

2009-01-04  Sandro Santilli  <strk@keybit.net>

	typo

2009-01-04  Sandro Santilli  <strk@keybit.net>

	typo

2009-01-04  Sandro Santilli  <strk@keybit.net>

	fix report of KPARTS4 install dirs

2009-01-04  Sandro Santilli  <strk@keybit.net>

	add --with-swfmill option to configure

2009-01-04  Sandro Santilli  <strk@keybit.net>

	Fix build of xpi

2009-01-03  Rob Savoye   <rob@welcomehome.org>

	needs a few more header files.

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove libmedia dependency on libcore. Fix metadata handling crash
	(bug #22868). Minor modifications, with documentation, to libmedia interface
	and removal of VM functionality to libcore.

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move typedefs to MediaParser class.

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Dox, quieten debugging.

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace MetaTag struct with a simple multimap of timestamp to buffer. Transfer
	tags to NetStream_as before executing, and move execution to libcore instead
	of libmedia. This removes libmedia's dependency on libcore for this purpose,
	and more importantly fixes a crash when a metadata function triggers the
	destruction of the FLVParser.
	
	Make readAMF0 const correct, update all callers.
	
	Register Date prototype with VM using addStatic, which fixes a crash in
	AMF parsing (Date construction).
	
	Don't use the VM's RNG in AudioDecoderNellymoser. It's not thread-safe, and
	creates an unnecessary dependency.
	
	Remove libmedia's dependency on libcore for win32 (should now build without).

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Have isFLV throw an IOException when not enough bytes are available for
	reading. Add exception specification, document and catch it. Throw 
	MediaException not GnashException on other libmedia errors.
	
	Split long lines.

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-01-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rearrange header.

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop stuff.

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	It seems this was deleted when resolving a conflict.

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and fix Date encoding with overridden valueOf().
	
	Fix memory corruption (GC) on exit with SharedObject::flush().

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another SOL test.

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test a Date with overridden valueOf. Use Date_as::getTimeValue() instead.

2009-01-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Flush SOL files when the SharedObjectLibrary is cleared, not in
	the dtor of SharedObject_as, due to GC issues. Delete the SharedObjectLibrary
	before GC::cleanup() is called for similar reasons. Add VM::clear() method
	for doing this.

2008-12-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename Date to Date_as, clean it up, and move the class definition
	to the header for use in AMF decoding.
	
	Add new test to SharedObjectTest, which makes Gnash fail a seemingly
	unrelated assertion in action.cpp.

2009-01-01  Sandro Santilli  <strk@keybit.net>

	Implement and test encoding/decoding of LONG STRING amf0 type. pp 10 for lnx fails, pp 9 and gnash succeed.

2008-12-31  Sandro Santilli  <strk@keybit.net>

	Don't create a new renderer at each character drawing

2008-12-31  Sandro Santilli  <strk@keybit.net>

	apply_matrix_to_path: don't allocate double as many paths for each shape

2008-12-31  Sandro Santilli  <strk@keybit.net>

	netstream-onmetadata.swf also passed, due to the AMF0 Date decoding...

2008-12-31  Sandro Santilli  <strk@keybit.net>

	Corner cases in comparison opcode, fixes relational-#.swf tests of swfdec, from version 5 to 7 (all).

2008-12-30  Sandro Santilli  <strk@keybit.net>

	Fix encoding/decoding of DATE AMF0 to include timezone (always 00, as documented).
	Force use of GMT for SharedObjectTestRunner.sh, which is the only case in which
	pp *really* uses 00 as documented. Disable debugging enabled by last commits.

2008-12-30  Sandro Santilli  <strk@keybit.net>

	Export TZ to GMT-1 while running the SharedObjectTestRunner, as that's the timezone the sol file was produced in, and interpretation of it is assumed from -- TODO: better handle predictibility, further inspect TZ effects on encoding

2008-12-30  Sandro Santilli  <strk@keybit.net>

	Add AMF encoding/decoding for Date objects, and test for it in SharedObjectTestRunner.
	NOTE: bitwise comparison fails due to different ending.
	Proprietary player now ends it with FF C4 00 while gnash keeps ending it with 00.
	No idea how much this is related to Date itself (timezone info ?)

2008-12-30  Sandro Santilli  <strk@keybit.net>

	Make the result of MEDIA(something) quoted, to avoid problems with swfc when special characters are found in MEDIADIR path

2008-12-30  Sandro Santilli  <strk@keybit.net>

	Kde4 gui: correctly compute redraw area; show/hide mouse cursor; keyboard handling and Esc to exit fullscreen.

2008-12-30  Sandro Santilli  <strk@keybit.net>

	Complete adding Element-based tests in test_encoding

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove some UB, should fix behaviour on ARM platform.

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove unreliable conversion from utility.h, move local functions from
	SWFMatrix header to the cpp file. One unreliable conversion function
	remains in SWFMatrix.cpp.

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop FloatToFixed16.

2008-12-29  Sandro Santilli  <strk@keybit.net>

	fix typo preventing KDE4_* variables from being set

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a prebuilt qt3 moc for kde3-gnash.

2008-12-29  Sandro Santilli  <strk@keybit.net>

	KdeGlue.h doesn't exist, is Kde4Glue.h for kde4-gnash

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence warnings for unused variables. Define PATH_MAX whenever not defined,
	as not even POSIX systems are bound to define it. Make the hard-coded length
	a bit less mean (1024 instead of 255). Fixes build on GNU/Hurd.

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make constructing a string a bit simpler.

2008-12-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Header cleanups, mantainability improvements, move Array AS class where it
	really belongs.

2008-12-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update event_id callers.

2008-12-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename event_id functions, provide read-only accessors and make data
	members private. Other minor refactoring.

2008-12-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a map for event_id<-->function name and event_id<-->function key so
	that it doesn't tend to break every time something changes.

2008-12-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move array.{h,cpp} to libcore/asobj/Array_as.{h,cpp} so it can be with
	its friends.

2008-12-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use namespace std.

2008-12-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't include array.h in FLVParser.

2008-12-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from kde4 branch. The option --enable-gui=kde now takes 'kde3' instead.
	To build kde4, use '--enable-gui=kde4'.
	
	There may be build problems with kde4, as it hasn't been widely tested.
	Reportedly kde4-gnash segfaults on at least one platform.
	
	The criterion for the merge is that kde3 and the default configure still
	work as before.
	
	Fix for default configure by setting build_qt3 as well as build_kde3 when no
	guis are specified.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add recreated moc files.
	
	Apply patch from John Wimer <john@god.vtic.net> adding fullscreen support
	(invalidated bounds not yet updated correctly).

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't distribute Makefile.in.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	Rearrange how all the QT and KDE paths get found.
	Cleanup the display messages, both kde3 and kde4 can cooexist now.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	use new constants from refactored config macros.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	use renamed variables for the whole qt/kde/3/4 mess.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	use new constants from refactored config macros.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	include klash3.moc instead of klash.moc.
	use new macros from refactored config macros.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	include klash4.moc instead of Kde4

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	rename files to be clearer

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	rename file

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	renamed to klash3.moc.in.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	Cleanup configuring for QT3, QT4, KDE3, and KDE4, by separating the old
	macros into their own files. This reduces complexity for the obscure
	differences between how these 3 packages get installed by variious
	distributions. 

2008-11-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Apply Bernhard Rosenkraenzer's patches.

2008-11-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2008-10-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Apply Bernhard Rosenkraenzer's patch:
	- adds better configure support (--enable-gui=kde4,kde should work, correct
	linker flags passed).
	- adds a klash4 plugin, which is reportedly not yet fully functional, but
	certainly better than nothing.
	
	Add kde4 to the gui/gnash script.
	
	Add header guards.

2008-10-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2008-10-03  Rob Savoye   <rob@welcomehome.org>

	Get correct paths when using KDE4/QT4

2008-09-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build.

2008-09-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2008-09-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More kde4.

2008-09-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Catch bad_alloc when creating images. Handle errors in finishImage.

2008-09-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Only update the changed part of the window. Move bounds to main Gui class,
	out of the AggGlue.

2008-09-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	KDE4 gui updates the whole window on each paintEvent.

2008-09-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add KDE4 gui.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	merge latest cygnal changes from rtmp branch.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	correct memory offset for test.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	fix append overflow test, now that Buffers only use the allocated data, and not the entire buffer.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	all tests pass now that were expected failures. Strict array gets the count correct now too.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	disable now bogus test, elements don't resize, they throw exceptions.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	oops. use the port for the locally started cygnal.

2008-12-26  Rob Savoye   <rob@welcomehome.org>

	run the echo tests in a tight loop., to really beat the crap oput of Cygnal's ability to handle many network connections without threading issues.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	merge from trunk to get new red5 testing option.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	get rid of the temp directory from wget.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	get rid of the temp directory from wget.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	use the freshly built cygnal to test against.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	don't try to format a header with bogus data.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	test POSTING AMF0 data to Cygnal to see if it returns the correct 'echo' response.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	add more temp files to CLEANFILES.

2008-12-25  Rob Savoye   <rob@welcomehome.org>

	add directory of binary capture files so we can use wget and netcat to test Cygnal.

2008-12-24  Rob Savoye   <rob@welcomehome.org>

	fix the formatting of response messages till it passes the red5 echo tests!
	get the POSTed data by reading more, or pulling it out of the end of the
	input buffer.
	hack the size for Content-Length, fixing is a TODO.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	eliminate one test case error flagged by valgrind.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	more support for the weird echo test that returns an ECMA array to a STRICT array with undefines in it.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	more tests for formatting result messages for red5 echo test.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	enable previously disabled test cases for formatting responses, they all pass now too.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	fix encoding of Typed Objects.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	test for items in the second Typed Object in the array too.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	check that all items in an array of Typed Objcts are actually typed objects. Add debug crap for the last two failing testcases.

2008-12-23  Rob Savoye   <rob@welcomehome.org>

	increment the pointer by 3 not 4 bytes after processing properties. Return array items in reverse order.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	fix more testcases, only 2 left!

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	build typed objects with a property name.
	ecma arays are encoded with the items listed in reverse order, at least
	according to red5.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	initialize on operator=, not append.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	make an empty Typed Object.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	fix encoding of ECMA arrays and Objects.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	only append allocated bytes.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	be less verbose.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	calculate our size, tweak debug output.

2008-12-22  Rob Savoye   <rob@welcomehome.org>

	be less verbose, test for more array items.

2008-12-21  Rob Savoye   <rob@welcomehome.org>

	use an exception if the buffer isn't large enough.

2008-12-21  Rob Savoye   <rob@welcomehome.org>

	don't pass the size.

2008-12-21  Rob Savoye   <rob@welcomehome.org>

	return a NULL object when receiving an UNSUPPORTED one as data like red5 does.

2008-12-21  Rob Savoye   <rob@welcomehome.org>

	fix data encoding.decoding, it's just another number with a different type.

2008-12-21  Rob Savoye   <rob@welcomehome.org>

	encodeStrictArray from an Element, not a pointer to raw data.

2008-12-21  Rob Savoye   <rob@welcomehome.org>

	add tests for formatEchoResponse(), even though most of them need tweaking still.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	NETBUFSIZE is in amf namespace now.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	improve more array tests by checking the items too.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	fix Date test.
	resolved all unresolved tests, fixing bugs in code code where found.
	improve array tests, check the item values as well to be 100% sure.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	less verbose for parseEchoRequest.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	less verbose on ::resize().

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	initialize all data types, whether they have data or not.
	parse Strict Arrays much better, works for all data types now.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	initialize as an empty Date class.
	add end of line when dumping if there is no data.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	add tests for more request messages, mark some as unresolved, as they found bugs.

2008-12-20  Rob Savoye   <rob@welcomehome.org>

	switch to boost::uint8_t from Network::byte_t.

2008-12-19  Rob Savoye   <rob@welcomehome.org>

	Parse NULL and UNDEFINED AMF0 objects too.

2008-12-19  Rob Savoye   <rob@welcomehome.org>

	clean temporary fooBar* files too.

2008-12-19  Rob Savoye   <rob@welcomehome.org>

	add more binary test cases grabbed by sniffing the red5 echo_test port. These
	primarily exercise AMF0 decoding on the server side for now.

2008-12-18  Rob Savoye   <rob@welcomehome.org>

	add support for properly creating the response packet for the red5 echo_test.

2008-12-18  Rob Savoye   <rob@welcomehome.org>

	add test case for formatting the reponse for the red5 echo_test.

2008-12-18  Rob Savoye   <rob@welcomehome.org>

	properly parse the red5 echo_test messages into Elements.

2008-12-18  Rob Savoye   <rob@welcomehome.org>

	minor typo corrections.

2008-12-18  Rob Savoye   <rob@welcomehome.org>

	fix test for parsing red5 echo_test packets.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	merge from trunk.

2008-12-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Class renaming, minor fixes, C++ification and build fix for some testing
	configurations.

2008-12-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build when dejagnu.h isn't available.

2008-12-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename Sound to Sound_as and clean up its header.

2008-12-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename LocalConnection.

2008-12-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename and tidy up Boolean.

2008-12-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups to Color class and others.

2008-12-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up Color class.

2008-12-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make Math_as.cpp clearer, more concise, and more like C++.

2008-12-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor formatting changes.

2008-12-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use some wicked templates for Math_as.cpp.

2008-12-20  Sandro Santilli  <strk@keybit.net>

	more renames and minor cleanups in NetConnection class

2008-12-20  bwy  <bwy@mx1.gnashdev.org>

	Some build fixes for non-dejagnu and ffmpeg.

2008-12-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build for people without DejaGnu

2008-12-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rearrange TextFormat

2008-12-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build broken on some 32bit machines

2008-12-20  Sandro Santilli  <strk@keybit.net>

	More abstraction: NetConnection now uses ConnectionHandler instances

2008-12-20  Sandro Santilli  <strk@keybit.net>

	Add --enable-red5-testing

2008-12-19  Sandro Santilli  <strk@keybit.net>

	AMFQueue friendship is not more needed

2008-12-19  Sandro Santilli  <strk@keybit.net>

	More isolation: move call number down in the AMFQueue

2008-12-19  Rob Savoye   <rob@welcomehome.org>

	remove fooBar* on clean to keep distcheck happy.

2008-12-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor renaming, comments and other small changes.

2008-12-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Notes and cleanup in MovieCipLoader.

2008-12-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename two classes.

2008-12-19  Sandro Santilli  <strk@keybit.net>

	Rework notification of connection status and slighly move toward the "notional connection" concept. No more failures in remoting.swf.

2008-12-18  Sandro Santilli  <strk@keybit.net>

	Add a getArgs method to fn_call, to expose the underlying args vector.
	Move rpc call serialization from AS code to NetConnection proper.
	To be moved again later, this is just a first step.

2008-12-18  Sandro Santilli  <strk@keybit.net>

	Oops, forgot the actual test

2008-12-18  Sandro Santilli  <strk@keybit.net>

	First stub of a red5test as/swf

2008-12-18  Sandro Santilli  <strk@keybit.net>

	update comment about how to build/run

2008-12-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor corrections.

2008-12-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More fixes to LocalConnection.

2008-12-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fixes to LocalConnection AS behaviour.

2008-12-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename StringNoCaseLessThen to StringNoCaseLessThan (it has annoyed me for
	years).
	
	Add a result_type typedef to StringNoCaseEqual so that it can be used easily
	with boost::bind.
	
	Test LocalConnection.send() and LocalConnection.connect() and correct 
	AS implementation (still doesn't really do anything).

2008-12-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use _name for domain, as they are different things.

2008-12-18  Sandro Santilli  <strk@keybit.net>

	test that .connect(null) still updates .uri

2008-12-18  Sandro Santilli  <strk@keybit.net>

	Add tests for NetConnection.onStatus and .isConnected. Gnash fails these.

2008-12-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect failures in test_amf.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	merge from rtmp branch, cygnal minimally works for HTTP.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	make less verbose.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	make less verbose.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	initialize the version to keep valgrind happy.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	drop tests for stuff that's been moved to other files.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	keep valgrind happy.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	add the thread ID to the thread params data.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	return a boolean to signify whether the connection is set to 'Keep-Alive'.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	minor reformatting.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	fix network persitance when in multi-theaded mode.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	set the docroot for the dispatch_handler.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	don't use the dispatch_handler when in single threaded mode.
	change who owns the network handle for multi-threaded mode.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	disable formatEcho() test for now.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	add test case for formatEcho().

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	the event handler returns a bool now.
	add initial support (incomplete) to handle the Red5 'echo_test' messages.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	the event handler returns a bool now.

2008-12-17  Rob Savoye   <rob@welcomehome.org>

	add header file for Cygnal specific classes.

2008-12-16  Sandro Santilli  <strk@keybit.net>

	Have Buffer::dump print size/capacity

2008-12-15  Sandro Santilli  <strk@keybit.net>

	fix build of rtmpget

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	don't toggle done for non-persistent connections.

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	merge in upstream changes.

2008-12-12  Sandro Santilli  <strk@keybit.net>

	ignores

2008-12-09  Sandro Santilli  <strk@keybit.net>

	Test encoding elements of type string. More tests to add, switched to use testsuite/check.h which gives more information on failure.

2008-12-09  Sandro Santilli  <strk@keybit.net>

	add unresolved method to the custom TestState class

2008-12-09  Sandro Santilli  <strk@keybit.net>

	Fix extraction of appname from url (should be 'oflaDemo' from rtmp://localhost/oflaDemo/DarkKnight)

2008-12-08  Sandro Santilli  <strk@keybit.net>

	add IO redesign on the TODO list (more a commit mail hook test then anything else)

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	all polling functions in Network class now.

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	thread_param is in Network class now.

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	delete more temp files.

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	thread_params is in the Network class now.

2008-12-14  Rob Savoye   <rob@welcomehome.org>

	move all polling methods to Network class where they belong.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	improve reliability of tests for POSTing AMF data to Cygnal.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	add tests for POSTing of AMF data.
	improve wget message parsing for errors.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	don't have generate_amfbins.cpp in check_PROGRAMS, it's not a test case.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	utility program used to generate binary AMF files.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	binary AMF files for testing RTMPT.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	add support to POST files or AMF.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	manually set the seek pointer after a readNet().

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	add constructor to builds from Buffer.

2008-12-01  Rob Savoye   <rob@welcomehome.org>

	add mehod to set he seek pointer manually.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	send a reponse header for POST too.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	use OK.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	use DiskStream file types, not AMF ones.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	test writing files from memory to disk, which will be used for uploading data.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	add process*Request methods for the rest of the set.
	move file streaming support to processGetRequest() instead of in http_handler.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	read a Buffer, not a shared_ptr of a Buffer.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	rename loadChunk() to loadToMem().
	add writeToDisk() to go the other direction. (for HTTP POST)
	add changeable limit for maxium mmap() size.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	rename loadChunk() to loadToMem().
	add writeToDisk() to go the other direction. (for HTTP POST)
	add changeable limit for maxium mmap() size.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	don't copy data if none has been used yet.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	add accessor to directly set the address in a Buffer.

2008-11-30  Rob Savoye   <rob@welcomehome.org>

	test POSTing files via HTTP.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	use uninstalled cygnal executable.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	delete all the temp files when done.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	send a large amount of GET requests, and make sur ethey all make it.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	Add tests for file transfer using wget.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	remove the temp files created during testing.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	merge from trunk

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	merge from upstream strk's rtmpget patches.

2008-11-29  strk  <strk@gnash>

	Fix compiler warnings; don't block SIGINT while debuggin.

2008-11-29  strk  <strk@gnash>

	Better error handling for rtmpget

2008-11-29  strk  <strk@gnash>

	cleanup encodeStreamOp

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	always send the close connection after a GET request, apache does.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	terminate by appending directly to the Buffer to get rid of the extraneous character.

2008-11-29  Rob Savoye   <rob@welcomehome.org>

	don't modify the requested size.

2008-11-28  Rob Savoye   <rob@welcomehome.org>

	Use DiskStream::filetype, not AMF::filetype.
	File stats are now done in DiskStream.

2008-11-28  Rob Savoye   <rob@welcomehome.org>

	get the file stats for use later.

2008-11-28  Rob Savoye   <rob@welcomehome.org>

	call the handler directly when processing a pending interupt that had been blocked.

2008-11-28  Rob Savoye   <rob@welcomehome.org>

	only dump the allocated bytes, the rest is junk.

2008-11-27  Rob Savoye   <rob@welcomehome.org>

	don't block in wait() when in signle threaded mode.

2008-11-27  Rob Savoye   <rob@welcomehome.org>

	get rid of all uses of the old _header and _body. We use a Buffer now. Add support for response headers from the server.

2008-11-27  Rob Savoye   <rob@welcomehome.org>

	use the _timeout that's already swet. Don't block SIGINT for now while debugging.

2008-11-26  Rob Savoye   <rob@welcomehome.org>

	cleanup compiler warnings.
	we're using buffers now, get rid of all stringstream usage.
	format the reply message type correctly.

2008-11-26  Rob Savoye   <rob@welcomehome.org>

	add method to get the amount of allocated bytes.

2008-11-26  Rob Savoye   <rob@welcomehome.org>

	add method for writing Buffers, but specifying a file descriptor.

2008-11-26  Rob Savoye   <rob@welcomehome.org>

	don't overrun the test data buffer.

2008-11-26  Rob Savoye   <rob@welcomehome.org>

	end() is the address *after* the last byte of data.

2008-11-26  Rob Savoye   <rob@welcomehome.org>

	adjust the seekptr when removing data, not the size of the buffer.

2008-11-25  Rob Savoye   <rob@welcomehome.org>

	end() retutns the seek ptr now.

2008-11-25  Rob Savoye   <rob@welcomehome.org>

	end() returns the seek ptr now. Handles uint32 now too.

2008-11-25  Rob Savoye   <rob@welcomehome.org>

	use Buffers instead of stringstream now.

2008-11-25  Rob Savoye   <rob@welcomehome.org>

	no more stringstream, use Buffer instead for less overhead.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	add another amf0 in http test.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	test for decoding AMF0 as HTTP message conttnt.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	tweak the test for HTTP version numbers.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	Return the location of the data when processing header fields.
	Tweak the test case to have "\r\n" at the end of each header line.
	Process the data in a field.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	test new methods.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	Process Header fields into an array, not seperate variables.
	Add method to extract list of values in header field.

2008-11-23  Rob Savoye   <rob@welcomehome.org>

	block on the blocked set of signals.

2008-11-22  Rob Savoye   <rob@welcomehome.org>

	notify the dispatcher thread.

2008-11-22  Rob Savoye   <rob@welcomehome.org>

	check for pending SIGINTs.

2008-11-22  Rob Savoye   <rob@welcomehome.org>

	don't reinitialize the signal handler for SIGINT.

2008-11-22  Rob Savoye   <rob@welcomehome.org>

	use pselect() and ppoll() instewad of select() or poll() to handle signals cleanly.

2008-11-22  Rob Savoye   <rob@welcomehome.org>

	see if ppoll() exists.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	merge changes to branch.

2008-11-21  strk  <strk@gnash>

	RTMP::recvMsg: read NETBUFSIZE bytes, not timeout bytes

2008-11-21  strk  <strk@gnash>

	specify units for the timeout argument of readNet/writeNet

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	handle persistent and non persistent network connections based on the Keep-Alive fields.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	erase pollds using the index.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	improve debug messages.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	Don't pass shared_ptrs as a parameter, pass by reference.
	Extract the actual version number and convert to a number so we can use it.
	Extract the various versions of the Keep-Alive field to set max requests
	or toggle the Keep-Alive state for network persistance.
	Add more tests to test all this stuff.
	toggle the Keep-Alive state based on the HTTP version number.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	merge minor debug message tweak.

2008-11-20  strk  <strk@gnash>

	add successful exit at end of main, log connection info to DEBUG channel

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	Use a 'done' boolean instead of "while(1)".
	Close the disk file after loading it into the cache.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	don't try to poll if we have no pollfds supplied.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	Use the port offset for the RTMP port too to be consistant.
	Don't "while(1)", add a real boolean test for being done.

2008-11-21  Rob Savoye   <rob@welcomehome.org>

	Add a CLOSED state, that unlike NO_STATE is for a file that has been handled
	already.
	Actually close the disk file descriptor so Cygnal doesn't run out of file
	descriptors.
	Improve debug messages for easier grepping.

2008-11-20  Rob Savoye   <rob@welcomehome.org>

	Cache::stats() now takes a boolean to toggle XML output on.

2008-11-20  Rob Savoye   <rob@welcomehome.org>

	Clean up status message text.
	Add XML outpout option for status so client admin applications.

2008-11-20  Rob Savoye   <rob@welcomehome.org>

	count the number of times a DistSream is accessed from the cache.

2008-11-20  Rob Savoye   <rob@welcomehome.org>

	don't try to write data to a closed socket.

2008-11-20  Rob Savoye   <rob@welcomehome.org>

	return the string from ::stats().

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	be less verbose.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	if the file size is beliow 10M, load the whole thing into memory.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	Add support to load more than one pagesize. This is used to load files
	below the CACHE_LIMIT entirely into memory to prevent reloading.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	merge in strk's changes to branch.

2008-11-19  strk  <strk@gnash>

	fix uninitialized vars use

2008-11-19  strk  <strk@gnash>

	fix missing returns

2008-11-19  strk  <strk@gnash>

	fix missing return

2008-11-19  strk  <strk@gnash>

	make error message cleaner

2008-11-19  strk  <strk@gnash>

	Initialize filedes to -1, fix assignment op to return what it advertise

2008-11-19  strk  <strk@gnash>

	fix buffer size computation in ::encodeStream

2008-11-19  strk  <strk@gnash>

	Don't forget to allocate an Element before dereferencing its pointer

2008-11-18  strk  <strk@gnash>

	don't put 'this' into a shared_ptr

2008-11-18  strk  <strk@gnash>

	some const correctness, and add AMF::encodeElement taking Element by const ref

2008-11-18  strk  <strk@gnash>

	Fix computation of output size in ::encodeElment, take code from
	::encodeProperty. Fixes the exception with rtmpget, exposes next
	bug: munmap_chunk(): invalid pointer: 0x000000000062b9b0 ***

2008-11-18  strk  <strk@gnash>

	few dox cleanups

2008-11-18  strk  <strk@gnash>

	don't stack-allocate Element objects, as Element::encode would kill such constructed ones

2008-11-18  strk  <strk@gnash>

	update ignores

2008-11-18  strk  <strk@gnash>

	Return what advertised (fix control reaches end of non-void returnign func)

2008-11-18  strk  <strk@gnash>

	Fix RTMP constructor

2008-11-18  strk  <strk@gnash>

	Construct the RTMPClient after having set verbosity level,
	to get more debugging options; have user-defined path and filename
	override the one extracted from url.

2008-11-18  strk  <strk@gnash>

	Don't forbid connecting to unprivileged remote ports

2008-11-18  strk  <strk@gnash>

	Use gnash::URL for parsing urls

2008-11-18  strk  <strk@gnash>

	Merge from trunk

2008-11-18  strk  <strk@gnash>

	4 spaces tabs

2008-11-18  strk  <strk@gnash>

	Fix rtmpget build

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	update from shared repository.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	call dispatch_handler() directly whenin sig\ngle threaded mode.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	fix so now cygnal works as a minimal HTTP server again.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	change a few argument names to be more consistant.

2008-11-19  Rob Savoye   <rob@welcomehome.org>

	get the offset right for mmap().

2008-11-18  Rob Savoye   <rob@welcomehome.org>

	fix single threaded option to use no threads at all anymore.

2008-11-18  Rob Savoye   <rob@welcomehome.org>

	always use a shared_ptr for holding a Buffer.

2008-11-18  Rob Savoye   <rob@welcomehome.org>

	collect statistics. DiskStream is now always a shared_ptr.

2008-11-17  Rob Savoye   <rob@welcomehome.org>

	resize a partially populated buffer correctly when the seekptr isn't incremented.

2008-11-17  Rob Savoye   <rob@welcomehome.org>

	figure out the file type.

2008-11-17  Rob Savoye   <rob@welcomehome.org>

	Buffer is in the amf namespace.

2008-11-17  Rob Savoye   <rob@welcomehome.org>

	use a shared_ptr for all uses of DiskStream

2008-11-16  Rob Savoye   <rob@welcomehome.org>

	make debug messages more consistant.

2008-11-16  Rob Savoye   <rob@welcomehome.org>

	rename test driver.

2008-11-16  Rob Savoye   <rob@welcomehome.org>

	rename file.

2008-11-15  Rob Savoye   <rob@welcomehome.org>

	minor cleanup, write the whole file.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	merge from trunk.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	add the cache and gather statistics.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	dump data with -d.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	use the new way of option processing.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	add option to with-statistics for the cache.

2008-11-14  Rob Savoye   <rob@welcomehome.org>

	add the cache and gather statistics.

2008-11-13  Bastiaan Jacques  <bastiaan@bjacques.org>

	Simplify removal methods by calling std::map's erase(key).

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	tweak message for test case.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	remove debugging messages.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	add tests for removing things from the cache.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	add support for removing things from the cache.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	add test cases for stuff not in the cache too.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	add dump method.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	new test case for caching class for servers.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	build cache class test case too.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	build cache class too.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	new test case for caching class for servers.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	new files for caching class for servers.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	clear the list of pollfds.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	access the data behind the pointer _ offset differrently.

2008-11-12  Rob Savoye   <rob@welcomehome.org>

	improve debug messages for waitForNetData.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	add new dispatch thread for a single I/O thread that can handle multiple
	connections to reduce thread craziness.
	make work single threaded to help with debugging.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	deal with pollfds so we can handle using poll() as a performance hack.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	Use DiskStream class to stream the file.
	Don't keep adding extra terminator lines.
	Move http_handler from cygnal to here.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	minor rename of data field, handler instead of handle.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	add doxygen style comments.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	get waitForNetData() working.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	move test_diskstream from cygnal to libnet.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	move diskstream from cygnal to libnet.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	move test_diskstream from cygnal to libnet.

2008-11-06  Rob Savoye   <rob@welcomehome.org>

	move diskstream from cygnal to libnet.

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	test for the event handler too.

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	add support for the function pointers to go with events on a file descriptor.

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	add support for an array of pollfds, need for poll().

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	add tests for pollfd array.

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	add threading option to dump output.

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	test the new options.

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	add the new options.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	add test for DiskStream::seek()

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	cleanup up doxygen comnments.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	cleanup up doxygen comnments.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	Finish up doxygen comnments.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	Finish up doxygen comnments for all the accessor methods.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	add doxygen comment blocks for private data.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	add log_unimpl() for unsupported methods.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	add doxygen comment blocks.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	add tescase for the new DiskStream class.

2008-11-03  Rob Savoye   <rob@welcomehome.org>

	DiskStream class now usable.

2008-11-02  Rob Savoye   <rob@welcomehome.org>

	add new options for threading

2008-11-02  Rob Savoye   <rob@welcomehome.org>

	add new options for threading

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	merge from trunk.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	start fixing to work with smart pointers.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	start fixing to work with smart pointers. Add send/recv support for msgs.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	new waitForNetData() method. Support for pselect or poll when waiting for multiple file descriptors.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	add support for the [] operator.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	move http_handler to here. Add new options.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	Don't use std::swap, it appears to corrupt the data.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	add emacs settings.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	add emacs settings.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	rename

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	add cygnal to ther macro search path for cygnal specifc tests executed by the top level configure for now.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	run the tests for Cygnal too.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	build diskstream and cvm now.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	minimal VM support for Cygnal, blatanetly ripped off from processor.cpp for now.

2008-11-01  Rob Savoye   <rob@welcomehome.org>

	add cygnal specific configure tests in a way Gnash can use them for now.

2008-10-28  Rob Savoye   <rob@welcomehome.org>

	Make data protected instead of private.

2008-10-28  Rob Savoye   <rob@welcomehome.org>

	Add options for 'testing' and 'threading' to help with debugging and testing.

2008-10-26  Rob Savoye   <rob@welcomehome.org>

	merge from trunk.

2008-12-18  Sandro Santilli  <strk@keybit.net>

	Add test for onStatus responses, and have gnash support those.

2008-12-17  Sandro Santilli  <strk@keybit.net>

	rework the way the response handler is constructed, to allow for plugging defaultu handlers for unexpected responses

2008-12-17  Sandro Santilli  <strk@keybit.net>

	Make remote call number an instance member (from a static). No more failures in remoting.as.

2008-12-17  Sandro Santilli  <strk@keybit.net>

	Test that method name in NetConnection.call first arg doesn't *need* to be a string but is always converted to one. Fix gnash to do that.

2008-12-17  Sandro Santilli  <strk@keybit.net>

	There's no remoting_end.as anymore, sorry

2008-12-17  Sandro Santilli  <strk@keybit.net>

	Make the remoting test sensitive to OUTPUT_VERSION, build in version 7 by default (an array length changes semantic based on that)

2008-12-17  Sandro Santilli  <strk@keybit.net>

	Add test for how floating number index affects length in SWF before and after version 7

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore useful comment removed in a fit of deletion.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fixes.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Buttons can be placed with an initObj, so don't abort.
	
	Remove logging.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cut down LocalConnection logging.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Explicitly override pointInShape to use pointInBounds for Bitmap, as they
	should be the same.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement MovieClip.attachBitmap().
	
	As only BitmapData.fillRect() is implemented, this isn't very exciting. The
	most common use - BitmapData.draw() - needs renderer support.
	
	Change some of the render_handler interface (render.h interface is unchanged),
	and reduce memcpy in agg.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add copyright information.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't unregister Bitmap, as it causes memory errors. Use the
	stagePlacementCallback to register the bitmap, as it's not guaranteed that
	the Bitmap character will be placed, and that would be a waste.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix ogl properly.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modify create_bitmap_* functions in ogl and cairo to match agg.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop templated agg_bitmap_info. Drop separate create_bitmap_info for
	rgb and rgba, as it's not hard to work it out.
	
	Don't abort() after return, as I don't think returns in C++ are generally
	thought to need a fallback.
	
	Don't copy the image data when we can take ownership of it.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the unimplemented method for drawing MovieClips onto a Bitmap. It
	just needs the data and more testing now.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Override virtual method for rendering to an image. Not implemented.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add virtual method for rendering MovieClip to a bitmap. Not implemented.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Convert GnashImage to BitmapInfo straight away, as there isn't any
	advantage to delaying it. Drop _image member.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use typeName for nicer display. Drop comment about inheritance.

2008-12-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate drawing and finalizing. Cache width and height as they are
	constant and used frequently.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleaning up.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add debugging to MovieClip.attachBitmap.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix segfault, various other improvements. misc-ming.all/BitmapDataTest.swf
	passes visually now.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rough and unoptimized implementation of MovieClip.attachBitmap().

2008-12-16  Sandro Santilli  <strk@keybit.net>

	automake 1.9.6 doesn't provide a 'builddir' variable, so don't rely on it

2008-12-16  Sandro Santilli  <strk@keybit.net>

	Add --enable-http-testsuite directive to configure.
	When enabled, make check will also run a remoting test against a service
	on gnashdev.org. You can specify another uri for offline testing.
	Updated remoting.README with more info about how.

2008-12-16  Sandro Santilli  <strk@keybit.net>

	Another remoting test, for multiple args

2008-12-16  Sandro Santilli  <strk@keybit.net>

	Have the remoting server return number of arguments passed, test passing no args at all

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cut out one of the classes involved in bitmap storage and display.
	Preparatory to implementing MovieClip.attachBitmap.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop commented-out code.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop bitmap_character_def, which wasn't a character_def, as it's silly to
	use two ref-counted classes in parallel for the same thing. Use BitmapInfo
	(was: bitmap_info) on its own instead.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor changes.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Early returns, drop unused code, improve formatting.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove as many DSOEXPORTs as possible.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Gut bitmap_info.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line length.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reduce duplication in DefineBits parsing.
	
	Adjust existing RGB values when merging alpha to jpeg data. Fixes
	bugs #23131, #21818, part of bug #20257, and the bad rendering
	in bug #24201.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the std::min of alpha and the respective pixel value, which makes lumi.swf
	display correctly.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Complete removal of code duplication. DEFINEBITSLOSSLESS2 (with alpha) and
	pixel format 4 seemed wrong, as alpha was stored to the first byte of
	every pixel. Gnash expects RGBA. This is now changed, but I have no
	examples of such a tag in any SWF for testing.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Premultiply alpha when adding to jpeg images, as all other bitmaps are
	expected to have premultiplied RGB. Fixes the bad alpha display.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More code reduction.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Progress.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Start cleanup of define bits tag parsing.

2008-12-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor header and declaration cleanups.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore nuked comment change.

2008-12-15  Sandro Santilli  <strk@keybit.net>

	Hold a *list* of AMFQueue objects, each for each connection.
	Fixes the "connect opens a new connection" testcase.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	NetConnection.connect() calls close(). NetConnection.close() does nothing
	if not connected. Improve tests, add more notes.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests and improved implementation.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Close existing connections. Test close() better, and drop the silly
	_inError member that was there due to misintepretation of the tests.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test onStatus calls better. Start testing return from call().

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make the SharedObject key tidier while ensuring it's correct. Add note to
	URL dox.

2008-12-15  Sandro Santilli  <strk@keybit.net>

	Test that a new .connect call should trigger a new POST ! Gnash fails this.

2008-12-15  Sandro Santilli  <strk@keybit.net>

	Improved remoting test to also check number of connections engaged.
	Gnash passes those!

2008-12-15  Sandro Santilli  <strk@keybit.net>

	Test that every new 'connect' resets the call ids, no matter if the connection was to the same uri

2008-12-15  Sandro Santilli  <strk@keybit.net>

	fix explanation of what is failing with the only failure

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update NetConnection comments and tests.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comments, make NetConnection test more accurate.

2008-12-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop old or unused code.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop generic_character::get_character_def(), which wasn't used, and quite
	right too.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop commented-out memcpys.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop some more stuff.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop enclose_own_bounds, which isn't used, implemented or documented.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move character constructor to the cpp file to save rebuilding, and because
	there's not much advantage having it in the header.

2008-12-15  Sandro Santilli  <strk@keybit.net>

	Add checks for request id

2008-12-15  Sandro Santilli  <strk@keybit.net>

	add request_id to info returned by remoting server

2008-12-15  Sandro Santilli  <strk@keybit.net>

	add checks for hex encoding and remote method name

2008-12-14  Sandro Santilli  <strk@keybit.net>

	change the hard-coded url of the remoting tester to gnashdev.org

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Add the server side of the remoting test, and a short README about it

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Build remoting test so it can connect to network even when run from filesystem, have it dump player version.

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Initial test client for jason's remoting tester

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Don't override user-defined custom headers for the sake of "Expect:" stripping.
	Instead, merge the user-defined and our own, letting user overrid Expect if she's willing to.
	Also, fix leakage of user-defined headers.

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Don't allow ActionSetVariable and ActionSetMember to use empty strings for variable/member name, and log an ASerror if it is attempted.

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Add an isStrict() method to Array_as; add an allowStrictArray method to
	as_value::writeAMF0; Have SharedObject encoding disallow encoding of STRICT_ARRAY
	and NetConnection allow it. Fixes writing lines with potlatch.

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Strip Expect header also when sending custom headers

2008-12-14  Sandro Santilli  <strk@keybit.net>

	fix bug in interpretation of array property names, add a TODO for optimization opportunity

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Set Content-Type to application/x-amf for remoting calls

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Don't add a NetConnection call id when callback is  undefined (TESTED)

2008-12-14  Sandro Santilli  <strk@keybit.net>

	Add what would be the perfect candidate to be encoded as a STRICT_ARRAY, and test that it's still encoded as an ECMA_ARRAY instead.

2008-12-13  Sandro Santilli  <strk@keybit.net>

	visit values in enumeration order. fixes the SharedObject write test. BINARY COMPATIBLE NOW!

2008-12-13  Sandro Santilli  <strk@keybit.net>

	Have visitProperties use enumeration order. Makes the sol1.sol file
	closer to correct version. Next mismatch is handling of movieclips.

2008-12-13  Sandro Santilli  <strk@keybit.net>

	typos in amf serialization debugging prints

2008-12-13  Sandro Santilli  <strk@keybit.net>

	Move stream creation logic from NetStream to NetConnection (will be useful
	for RTMP).

2008-12-13  Sandro Santilli  <strk@keybit.net>

	MovieClip.startDrag and MovieClip.stopDrag have been tested enough

2008-12-13  Sandro Santilli  <strk@keybit.net>

	Don't limit the size of a NetConnection.call reply.
	Reallocate the reply buffer as needed, in chunks of 200kb.

2008-12-13  Sandro Santilli  <strk@keybit.net>

	Instruct libcurl NOT to send an Expect: header, as some older http servers choke on it.
	In particular, the lighthttp version used by openstreetmap.org had the problem, and this patch fixes potlatch for me.

2008-12-12  Sandro Santilli  <strk@keybit.net>

	log once about unimplemented cacheAsBitmap

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fix to Button properties, various AS tests.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks, indentation, typenames.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Button.enabled as a normal, overwritable property.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up AsBroadcaster, add some more tests.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix to SharedObject name.

2008-12-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and validate SOL names. Clean up some code.

2008-12-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop the slash.

2008-12-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cosmetic change.

2008-12-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't return a SharedObject when an impermissible path is requested. This is
	the proper fix to the SharedObject.as test failures introduced yesterday.

2008-12-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add tests and correct implementation for SharedObject path.
	
	Adjust misc-ming.all SharedObjectTestRunner.sh now that Gnash does the
	same as the pp.

2008-12-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Treat the localPath argument to SharedObject.getLocal() correctly. It
	must be part of the SWF path.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More SharedObject fixes.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Always initialize data member on readSOL (unless exception thrown, which is
	an untested case). Make data a getter/setter. Passes another test.
	
	Expect failures due to a SharedObject not being null when it should be. This
	wasn't what the test claimed it was doing, and isn't a regression.
	
	Flush on exit. This *must* happen, so if it does cause memory errors as 
	a comment suggest it used to, it has to be fixed in a different way from
	just dropping it.
	
	SharedObject.flush() can take an argument, so log unimplemented.

2008-12-09  Sandro Santilli  <strk@keybit.net>

	Fix extention code

2008-12-09  Sandro Santilli  <strk@keybit.net>

	Add TODO item

2008-12-09  Sandro Santilli  <strk@keybit.net>

	quality std classes, fixing build on debian lenny

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Various fixes to SharedObject AS compatibility.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comment.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Various cleanups.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a scoped_array for the buffer. Make the readSOL more readable.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Invalid SOL files act the same as non-existent ones. Only files with
	a header and no data end up with no data member.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Return undefined from SharedObject.flush() when there is no data member.
	Alter SharedObject::flush() to take the data object as an argument to
	facilitate this.
	
	Add some tests.
	
	Add PROP_DATA to namedStrings.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comments and tests on ASnative SharedObject.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stub unimplemented undocumented methods of SharedObject. Tidy up. Correct
	prop flags. Don't initialize data member until a SharedObject instance
	exists, and even then not if the SOL file existed but was invalid.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up Object class.

2008-12-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanup Object.{cpp,h}, and don't pass as_objects by auto_ptr.

2008-12-08  Benjamin Goose  <benjamin@localhost>

	Add missing comma.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop some return values, note why others are useless.
	
	Minor corrections to AS correctness, swfdec testsuite passes.
	
	General clean up.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test Object.addProperty() return, confirming that we don't care about
	the result of as_object::add_property. Make as_object::add_property
	void (instead of always returning true).

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop old code.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove unused methods. Ignore the return value from
	PropertyList::addGetterSetter, add comments explaining why, and what it
	did before. Don't pass namespace as an as_prop_flags argument.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rearrange String_as. String.concat doesn't have to be applied to a
	String_as, despite what my comment from a while ago claims. Now passes 
	swfdec's string-fake and doesn't fail any actionscript.all tests, so the
	earlier conclusion must have been based on a bogus test.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make XMLNode_as non-copyable, except by using the non-standard copy
	constructor (called by cloneNode). Document and const-correct class.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation and line break changes.
	
	Reduce VM-version-based initialization in Global.cpp.
	
	Some minor changes to plugin that reduce segfaults with xulrunner-1.9 
	(not xpcom).

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Selection natives. Register all natives regardless of VM version.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	GIOFunc should signal whether to remove the g_source, not remove it itself.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Set some member variables to 0 after they are finished with, which seems
	to reduce segfaults with xulrunner-1.9.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks and remove some obsolete code.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register ASnatives, get some swfdec testsuite passes.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register XMLNode natives.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register Loadableobject natives separately, use for LoadVars and XML.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes for swfdec xml-escape 6-8.

2008-12-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register XML methods as ASnative, including XML.escape(), which is only
	available through the ASnative interface.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fully implement Selection.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Selection.getEndIndex(), Selection.getBeginIndex(),
	Selection.setSelection(), Selection.getCaretIndex(). Correct TextField
	focus implementation. Add tests for new Selection methods. New passes in
	swfdec testsuite.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More SWFTree information.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add blend mode to character information.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More blend mode implementations. It should now be ready for a renderer
	implementation.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor blend mode correction.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put character.h into some sort of order. Make _visible private, use
	accessor (isVisible());

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make blend mode a property of character, and move the blendMode getter/setter
	to character.cpp. Implement static (parsed) blendMode setting.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks, drop old debugging messages.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Renaming, cleanups.

2008-12-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up code, rename some files and classes.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement AS side of MovieClip.blendMode. As Button and allegedly TextField
	can also use blendModes, the implementation may be moved to the character
	class.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and implement AS MovieClip.blendMode setting.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Resolve the NetStream play() URL using the base URL, and do not play unless
	NetConnection is connected. Should fix a few video SWFs broken since last
	night's commit.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make sure NetStream URLs are constructed with the baseURL, and append to
	any NetConnection URL passed with connect().

2008-12-04  strk  <strk@gnash>

	log unimplemented for extraction of AudioInfo parameters by GST

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct namespaceURI method of XMLNode. Fixes bug #24739.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct XMLNode.namespaceURI implementation.

2008-12-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use an absolute URL for the _url property (local SWFs should start with
	"file://")

2008-12-04  strk  <strk@gnash>

	Document AudioInfo.duration units; have FFMPEG media handler log an error
	when it can't find out; add duration print in easysound.swf.

2008-12-03  Sandro Santilli  <strk@keybit.net>

	Improve widgets set, add info line for position update on enter frame.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another NetConnection method.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement NetConnection.uri, drop some mystifyingly wrong functions.

2008-12-03  strk  <strk@gnash>

	Utility widgets file for use with makeswf, and my easysound.as test
	to be improved and turned into a self-contained one

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More NetConnection event implementation. Stub unimplemented events from
	documentation (not easy to test without a server). Tests.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More testing for NetConnection events, correct and clean up implementation.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make NetConnection.close() and NetConnection.call() AS-correct (the effects
	of NetConnection.close() have yet to be established).
	
	Test NetConnection properties and function returns.

2008-12-03  strk  <strk@gnash>

	Don't allow ActionGetVariable to return a MOVIECLIP type (they didn't
	exist in SWF4!). Might be a too-close-to-opcode fix, but was simple
	and effective it seems. Fixes tests in swf4opcode.sc, tests welcome.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix some typos in parseAttribute: unescape, not escape attributes;
	and '\\' is the escape character for quotes, not '\''.
	
	Clean up some older code.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix bug #24998.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log once for blendMode unimplemented.
	
	Read string length as uint in ActionPushData, fixing bug #24998. 

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Send NetConnection status codes on connect() failure or success. Implement
	NetConnection.isConnected. 

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test the NetConnection info object and implement correctly.
	
	Passing tests in swfdec and misc-ming.all as well as the actionscript.all
	ones already committed.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups, documentation.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test NetConnection.connect and onStatus event.
	
	Rearrange NetConnection class so it's a bit more organized (but still
	something of a mess).
	
	Make NetStream status codes use std::strings, implement some NetConnection
	codes the same way (but without queueing). Currently only the connect
	status code is properly implemented, but this fixes video playback 
	in bug #19844.

2008-12-03  strk  <strk@gnash>

	_level0 is also undefined in swf4

2008-12-03  strk  <strk@gnash>

	Add SWF4 test for getvariable with character names, supposed to fail, and probably being the bug preventing penguins from orisinal to work

2008-12-03  strk  <strk@gnash>

	_root is undefined in SWF4 and below. Fixes a test in swf4opcode.sc.

2008-12-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop dump_character_tree in favour of using the swf InfoTree. This is
	now a slightly different display, but can be modified when required.

2008-12-02  strk  <strk@gnash>

	Fix GNASH_REPORT_FUNCTION funx-exit print

2008-12-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement more Selection methods.
	
	General cleaning up.

2008-12-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix prop flags test.

2008-12-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Delegate listener handling to AsBroadcaster as required, instead of
	reimplementing.
	
	Make as_prop_flags simpler.

2008-12-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Split long lines.

2008-12-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test passes after Selection implementation.

2008-12-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence some debug logging.
	
	Drop onSetFocus and onKillFocus functions from TextField as these
	are now handled in movie_root.
	
	Drop unload() implementation in TextField, as it does nothing different
	from the default implementation in character. Don't remove focus on unload.
	
	Implement Selection.addListener, correct onSetFocus, onKillFocus events.
	
	Don't allow Buttons to receive focus, as it causes a test to fail. According
	to docs, they are able to, but this isn't yet tested.

2008-12-02  strk  <strk@gnash>

	typo (missing space)

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve and unify focus handling for all characters that can accept it. 
	Add (some) tests for Selection focus methods and implement them. Fixes some
	problems in bug #24201.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up implementation. Don't set focus on _level0. Correct comments
	for setFocus. Passes in swfdec testsuite.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test Selection.setFocus and getFocus with TextFields.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some line breaks.
	
	Test and fix focus and visibility cases.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't remove focus when clicking on non-mouse entities.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor corrections, mark current focus reachable.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	MovieClips can also handle focus when mouse event handlers are defined.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename character::setFocus() to handleFocus() to avoid confusion with
	movie_root::setFocus().

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move most focus handling to movie_root::setFocus(), allow buttons to
	handle focus.

2008-12-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test focusEnabled property of MovieClip.
	
	Add virtual character::setFocus() to handle checking for focus ability and
	to invoke TextField focus actions (already implemented). Incomplete 
	implementation of Selection.getFocus() and Selection.setFocus().

2008-12-01  strk  <strk@gnash>

	Cleanup LocalConnection AS class properties construction.
	Saves some memory when multiple LocalConnection objects are created,
	succeeds a few tests both in our and swfdec's testsuites.

2008-11-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Apply more build bug fixes from Tonko Juricic.

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up Selection a bit, add comments for tests and implementation.

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Preliminary cleanup of Selection.

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some tests for Selection.{get,set}Focus().

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test for Selection.

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up a bit.

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Split long lines.

2008-11-27  strk  <strk@gnash>

	Split the "buffered audio streamer" functionality out of NetStream. Needs more cleanup, then the aim is to reuse for Sound as class.

2008-11-27  strk  <strk@gnash>

	tabs to spaces

2008-11-27  strk  <strk@gnash>

	Separate PlayHead from NetStream, worth using in Sound too.

2008-11-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cache jpeg height and width as suggested by dolphinling. Both values are
	used in several places and called many times, so it makes sense to cache
	them for the whole function scope.
	
	Reduce (virtual) function calls in mergeAlpha().

2008-11-27  strk  <strk@gnash>

	Tab to spaces

2008-11-27  strk  <strk@gnash>

	Take no timestamp value as timestamp 0, and log an error to remind us a better fix is needed.

2008-11-26  strk  <strk@gnash>

	Update bytes loaded count on FFMPEG parsing error too. Fix getBytesLoaded/getBytesTotal comparisons when parsing error is an unexpected EOF. Incidentally, this seems to be the case for bug #24898.

2008-11-26  strk  <strk@gnash>

	use the swf6flags, nothing fails, nothign succeeds either, but since the flag was there, there must have been a reason

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix unused variable warning. Split long lines.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix availability of initObject properties in constructor by passing the
	object to (all) stagePlacementCallback() functions and re-arranging
	MovieClip:::stagePlacementCallback().
	
	Add some sort of implementation of getBytesLoaded and getBytesTotal for
	Sound objects. It's not fully correct, but perhaps someone will look at
	it now.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test passes.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up MovieClip:stagePlacementCallback a bit. Add notes and asserts
	to Video and Button placement callbacks.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Return something from Sound.getBytesLoaded() and getBytesTotal().

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test results and give same treatment to duplicateMovieClip.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass initObj to stagePlacementCallback so properties can be copied between
	setting correct bounds (display list dependent) and calling the constructor.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanups, move property copying to before attachCharacter.

2008-11-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for initObj properties.

2008-11-26  strk  <strk@gnash>

	MediaHandlerGst::createAudioDecoder: fall back on trying FLASH specific decoders if gst ones don't build.
	Fixes support for decoding RAW sound (lame eh ? :). Should fix mx1 buildbot.

2008-11-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop stuff.

2008-11-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused things in character.h

2008-11-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor correction to video properties, swfdec test pass.

2008-11-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Enumerate video properties.

2008-11-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix visibility build.
	
	Drop #defines in plugin.h.
	
	Visibility get/set is well-commented enough not to need commented-out
	wrong code.

2008-11-25  strk  <strk@gnash>

	Fix as_value::to_bool_v6, 2 more swfdec tests pass.

2008-11-25  strk  <strk@gnash>

	Rework the way properties (_x,_y,_xscale,_yscale,_alpha,_rotation,_visible) are set.
	Fixes many of the tests added in previous commits. Still unsolved the "F" vs "0"
	distinction for SWF4.

2008-11-25  strk  <strk@gnash>

	Test setProperty with "nan" strings. Gnash fails also for _visible,
	which bwy "fixed" recently. 

2008-11-25  strk  <strk@gnash>

	xpasses after typo fix

2008-11-25  strk  <strk@gnash>

	fix typo in property indexes table

2008-11-25  strk  <strk@gnash>

	also test that proper properties for special properties should not exist in SWF4

2008-11-25  strk  <strk@gnash>

	don't call getStr() twice

2008-11-25  strk  <strk@gnash>

	Add tests for setting properties using undefined or other-nan values.
	Shows a bug in a deduction (to_number returning 0 instead of NaN for SWF4)
	and prevents regressions in the _xscale/_yscale case which fixed
	the 'around' orisinal game.

2008-11-25  strk  <strk@gnash>

	don't check for undefined twice

2008-11-25  strk  <strk@gnash>

	Don't set _xscale or _yscale with an undefined or null value.
	Only checking for to_number != NaN doesn't work well in SWF4.
	Fixes http://www.ferryhalim.com/orisinal/g2/00around.swf (bug #24902).

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for attachMovie initObj.

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test that initObj properties should be available to the constructor
	used in attachMovie for SWF7. Warning: _height and _width are treated
	differently in SWF6!
	
	Alter test runner because the squares are different shapes.

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence debugging.

2008-11-24  strk  <strk@gnash>

	GOTOEXPRESSION is also known as GOTOFRAME2 (by Ming)

2008-11-24  strk  <strk@gnash>

	Rework handling of properties (setProperty/getProperty) to avoid expensive and useless lookups in the global string_tale.

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor changes to XMLNode and XML tests.

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another test.

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up.

2008-11-24  strk  <strk@gnash>

	Fix computation of samples to fetch in MovieTester.
	Fixes eventSoundTest1-Runner restults (the XPASS finally :)

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix doctype parsing.

2008-11-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Parse doctype declaration properly.

2008-11-24  strk  <strk@gnash>

	improve debugging output

2008-11-24  strk  <strk@gnash>

	waitforframe-huge-4.swf from swfdec succeeds

2008-11-24  strk  <strk@gnash>

	Add 'allowMultiple' parameter to sound_handler::playSound (renamed for the occasion).
	Fixes eventSoundTest1.swf (the test runner still has an xfail, but probably a bug in the runner).

2008-11-24  strk  <strk@gnash>

	Don't warn about unsupported syncNoMultiple in parser, as the parser does support it

2008-11-24  strk  <strk@gnash>

	warn locally about unsupported syncNoMultiple

2008-11-24  strk  <strk@gnash>

	Tab to spaces, recode button transition sound to avoid too many indentation levels, complain locally about unsupported noSyncMultiple

2008-11-24  strk  <strk@gnash>

	Rename gnash::SoundInfo to gnash::SoundInfoRecord, to reflect file name and avoid conflict with gnash::media::SoundInfo

2008-11-22  Markus Gothe  <nietzsche@lysator.liu.se>

	remove deprecated libxml2 stuff

2008-11-22  Sandro Santilli  <strk@keybit.net>

	simplified wording of a common error message

2008-11-22  strk  <strk@gnash>

	libxml is not a dependency any more

2008-11-22  strk  <strk@gnash>

	Stop reporting XML paths, as we're not setting/using them anymore

2008-11-22  strk  <strk@gnash>

	log programmatic errors about key events and AS errors on Key.isDown

2008-11-22  strk  <strk@gnash>

	Always notify Key about key events, despite SWF version.
	Fixes http://www.ferryhalim.com/orisinal/g3/00dog.swf 

2008-11-22  strk  <strk@gnash>

	ActionWaitForFrame: don't wait forever if the target frame is > total frames. Fixes 'serenade' from orisinal morning sunshine.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make a start at rationalizing system header includes. Remove unused file.
	
	This may break some builds; every file with read() or write() should include
	GnashSystemIOHeaders.h. Missing includes for (only) those functions on a
	particular platform should be added to that header file and not put
	anywhere else in the code.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove unused xmlattrs.h.
	
	Handle read() and write() functions using the new GnashSystemIOHeaders.h
	
	Drop MAX_PATH usage and drop some apparently unnecessary includes in various
	files (should help relocating system includes to compatibility headers).

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve prefix/namespace lookup model, and make sure the container isn't
	destroyed before using its iterator.

2008-11-21  strk  <strk@gnash>

	Improve documentation for fill_stream_data; add debugging lines in it;
	check deleted sounds on fill.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Patch adding boost namespace to stdint types and dropping unnecessary
	includes. Thanks to Tonko Juricic.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Apply patch from Tonko Juricic to enable libamf to build on msvc++.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Corrections and new implementations of XMLNode methods and XML parsing.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some more tests and a minor correction to attributes parsing.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement XMLNode.getPrefixForNamespace.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct attribute construction order during parsing. Implement
	XMLNode.getNamespaceForPrefix.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test enumeration order of attributes (it's normal, but different from
	order when parsing, which suggests that parsing constructs values in 
	a different order).

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test passes.

2008-11-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow setting XMLNode attributes.

2008-11-20  strk  <strk@gnash>

	Don't write to stderr for fps debugging, if no -f is given

2008-11-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add boost qualifier to int types in BitsReader.h

2008-11-20  strk  <strk@gnash>

	Fix determination of wheter pushing of local vars to scope stack
	is required. Fixes winterbell from orisinal.
	http://www.ferryhalim.com/orisinal/g3/00bells.swf

2008-11-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a few more tests, minor corrections to XMLNode interface implementation
	and fix a silly typo in getNamespaceURI.
	
	Add more characters to URL::escape.

2008-11-20  strk  <strk@gnash>

	Const-correct get_exported_resource.
	Have Sound.attachSound lookup in the SWF movie containing
	the attachSound call, not top-level movie: only test was
	success or failure in looking up the symbol by
	http://www.ferryhalim.com/orisinal/g3/00bells.swf

2008-11-20  strk  <strk@gnash>

	Make VM SWF version modifiable during runtime, have ActionExec have it
	set to the SWF version of the "currently running code".
	Have ClassHierarchy always register classes, but using visibility flags
	to hide for older swf versions. 
	See http://wiki.gnashdev.org/Mixed_SWF_Versions for the why.

2008-11-20  strk  <strk@gnash>

	4spaces tabs

2008-11-19  strk  <strk@gnash>

	Oops, the scope stack change broke all of actionscript.all... will need more tests to figure how things change

2008-11-19  strk  <strk@gnash>

	Sleep less while waiting for load of NetStream

2008-11-19  strk  <strk@gnash>

	Pushing the activation object to the scope stack depends on version
	of the SWF containign the function definition, not top-levels.
	This makes the bells fall down in
	http://www.ferryhalim.com/orisinal/g3/00bells.swf

2008-11-19  strk  <strk@gnash>

	print function pointer associated to action block when in a function (helps debugging)

2008-11-19  strk  <strk@gnash>

	Add an optional callerDef member in fn_call, use that from builtin function to switch behaviour based on swf version

2008-11-19  strk  <strk@gnash>

	Expose SWF version of file containing action blocks, use that to
	switch behaviour in ActionStringLength and ActionNewAdd.
	This was tested, broader test show that this is needed for a lot more
	cases. The test isn't automated yet but is as simple as having an SWF7
	load any -v5 test in actionscript.all and see what fails (a lot does!)

2008-11-19  strk  <strk@gnash>

	SWF version dependent ActionStringLength. Not 100% correct, but gives 3 XPASS in swfdec testsuite

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Mark expected failures.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	xchecks.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some tests for our sadly broken XMLNode attributes.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for attributes.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement more XMLNode methods.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comments, test totals, rename XMLNode class to XMLNode_as.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and implement XMLNode.prefix and XMLNode.localName.

2008-11-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test getNamespaceForPrefix, getPrefixForNamespace, namespaceURI methods
	of XMLNode. Implement namespaceURI.

2008-11-18  strk  <strk@gnash>

	Fix parsing of URLs with a port number but no path component

2008-11-18  strk  <strk@gnash>

	Ah, found the offending url failure vi testsuite/libbase/URLTest.cpp 

2008-11-18  strk  <strk@gnash>

	Add test for rtmp url (over paranoia, just that url didn't seem to work fine in the rtmp branch, so I was wondering

2008-11-18  Sandro Santilli  <strk@keybit.net>

	Always use a vertical box for the gnash window, embedded or not.
	Always add/remove the 'click to start' button to the vbox.
	Fixes bug #23477 and gives access to the right-click menu.
	Tests highly welcome. In particular, should be tested how the 
	movie info deals with "entity under the mouse" while paused 
	(window coordinates might be bogus)

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Corrections to and more implementation of XML methods.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and implement XML.xmlDecl property.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add doctype to XML.toString output. Make XMLNode::toString virtual so 
	XML::toString is called. Implement docTypeDecl getter/setter.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some tests for malformed XML. Get &quot; and &apos; the right way
	round.

2008-11-18  Sandro Santilli  <strk@keybit.net>

	Fix "click-to-play" for the standalone case. If you like it, we might
	use the same model for the plugin, as the bug (#23477) really seem
	to depend on the mechanism we use to show the button (no bug with standalone
	and this model)

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence more intrusive logging.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Quieten debugging.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add missing include.

2008-11-18  Sandro Santilli  <strk@keybit.net>

	register movie definition with gui before calling createWindow, as
	the latter may want to use the former for resize events.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rewrite XML parsing.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Unused variables.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop another remnant of libxml.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop libxml includes from XMLNode_as.h

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Swfdec testsuite passes.

2008-11-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rewrite XML parsing, using swfdec's model as a base.
	
	This:
	- removes the dependency on libxml2
	- is less strict, so that we can parse XML incorrectly like Flash does
	- and consequently fixes many cases where an unescaped entity broke parsing
	completely.
	- parses directly into XMLNodes instead of first into memory
	- passes some more swfdec tests.
	
	Drop various unused functions and files. Rename enums to make it less ugly.
	Clean up.
	
	Remove libxml checks from configure.

2008-11-17  strk  <strk@gnash>

	Add ABC_ACTION_END, 4-spaces tabs

2008-11-17  Sandro Santilli  <strk@keybit.net>

	Add output operator for abc_action_type enum

2008-11-16  Bastiaan Jacques  <bastiaan@bjacques.org>

	Fix warning (assigning -1 to unsigned int).

2008-11-15  Bastiaan Jacques  <bastiaan@bjacques.org>

	libcore/as_value.{cpp,h}: Increase type safety by using templates to
	prevent implicit conversions to bool. This allows us to declare a
	single numeric constructor. As a side-effect, the compiler will
	refuse to compile as_value(NULL) or as_value(0) until you resolve
	the ambiguity.
	
	This commit changes all uses of as_value(0) and adds tests.

2008-11-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use numerical value instead of boolean for _visibility. Add tests. 
	Fixes bug #24839.

2008-11-15  strk  <strk@gnash>

	Don't hot-plug consumers for which a decoder could not be constructed.
	Should fix mx1 check with gst (that host fails creating an audio decoder
	for audio in square.flv)

2008-11-15  Bastiaan Jacques  <bastiaan@bjacques.org>

	Stop redeclaring isinf by renaming it to isInf (like we do for isnan).

2008-11-14  strk  <strk@gnash>

	Catch exceptions thrown by sound handler construction.
	Should "fix" bug #24834.

2008-11-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove empty file.

2008-11-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Const correct point_test_local, drop some unused code.

2008-11-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix for bug #24835 (don't forget addStatic() for the TextField prototype
	in SWF version 5).
	
	Some other things I thought I'd already committed.

2008-11-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rearrange MovieClip, add tests for unloadMovie(). This function should 
	clear any drawable while leaving the bounds (along with other properties)
	untouched. No more drawing can be done.

2008-11-14  Bastiaan Jacques  <bastiaan@bjacques.org>

	libbase/utility.h: Stop including pthread.h inside namespace gnash,
	because this confuses platforms such as OpenBSD. We can now stop
	including pthread.h all over the place, which was a workaround
	for the former.

2008-11-13  Bastiaan Jacques  <bastiaan@bjacques.org>

	Use GdkImage instead of fiddling with MIT-SHM and Xlib directly.

2008-11-13  Bastiaan Jacques  <bastiaan@bjacques.org>

	Use GdkImage instead of fiddling with MIT-SHM and Xlib directly.

2008-11-13  strk  <strk@gnash>

	Don't let the same character be placed twice as a stage child

2008-11-13  strk  <strk@gnash>

	No more need to sleep in order to fetch samples when using MovieTester

2008-11-13  strk  <strk@gnash>

	No more need to sleep in order to fetch samples when using MovieTester

2008-11-13  strk  <strk@gnash>

	Use a NullSoundHandler for testing, and fetch as many samples as needed
	when advancing clock (need another pass to make it a stateful fetcher)

2008-11-13  strk  <strk@gnash>

	be nicer with make -j# check

2008-11-13  strk  <strk@gnash>

	Move most of sound_handler code to base class, leave to subclass
	actual mixing of input channels and eventually setup of thread-based
	fetching. Please test test test and report threading issues ASAP.
	I'll wait for dust to pose before next move, which would be predictable
	samples fetching for test runners.
	BTW, included in this patch is opening the audio on constructor
	of the SDL sound handler, so you'd get aborts even if there's no 
	sound in the SWF (expecting aborts from make check on mx1).

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct NetStream.play() implementation and add comment.

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove very annoying debugging line in TextField.
	
	Start new movie whenever play() is called in NetStream.

2008-11-12  strk  <strk@gnash>

	Update use of PNG flags and libs since change of the related GNASH_PKG_FIND invocation

2008-11-12  strk  <strk@gnash>

	SafeStack.h: style things, commented-out debugging line (now in sync with avm2 branch)

2008-11-12  strk  <strk@gnash>

	fix extraction of next available child depth

2008-11-12  strk  <strk@gnash>

	Add the concept of "Stage childs" in movie_root, and expose addChild
	and addChildAt methods, to be used by SWF9 movies. AVM2 branch will
	use these initially, and I think we're getting close to the possibility
	of an avm2 merge to trunk.

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement more Video properties.

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop ogg width test, as gstreamer doesn't know the dimensions.

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize _width and _height.

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a VideoDecoder::width() and VideoDecoder::height() as pure virtual 
	functions. Implement in Ffmpeg (working) and Gst (not yet tested).
	
	Test that Video.width and Video.height are 0 until decoding starts.
	
	Implement Video.width and Video.height.
	
	Limit lines to 80 characters.

2008-11-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Video width and height.

2008-11-12  strk  <strk@gnash>

	Have TextField ctor construct a real TextField, not an Object with TextField prototype

2008-11-12  strk  <strk@gnash>

	fix compiler warnings

2008-11-12  strk  <strk@gnash>

	Allow running testsuite/samples test runners from arbitrary directories

2008-11-11  strk  <strk@gnash>

	fix --with-png-lib

2008-11-11  strk  <strk@gnash>

	Don't try to stop delete sounds, do better locking. Fixes bug #24810

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stub unimplemented Video properties and modify the prototype when there
	is an embedded Video stream.
	
	Rearrange TextField.cpp.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rearrange TextField.cpp to keep class and AS interface functions together.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct Video test totals.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for Video properties. Add deblocking, smoothing, width and 
	height properties to prototype only on construction of embedded Video
	stream.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for Video interface.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Video.clear(). Netstream_as has to expose its play state for this
	to work.
	
	Drop unused enum in Netstream_as.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test for Video.clear() on embedded video (should not have any effect).

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Video.clear().
	
	Silence excessive TextField debugging.

2008-11-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups of formatting and code line length.
	
	Reorder TextField::format_text so it uses a simple switch statement. Drop
	the ugly use of goto. Drop unnecessary setting of TextRecord properties,
	and add some comments to explain what is going on.

2008-11-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line break.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor formatting changes.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line break.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update documentation, correct TextHeight value. Clean ups.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some notes, ignore escape.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a switch statement to clean up text formatting.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo in Font.cpp, clean up TextField.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2008-11-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add header file.

2008-11-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include <vector>

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Finish main font parsing separation.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move all font parsing out of the Font class.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move most Font-related parsing to libcore/swf, so that the Font class
	is either constructed with an immutable DefineFontTag or from a 
	device font. The Tag-related part of the Font (embedded glyphs and
	records) is immutable. Device-font glyphs can be added on demand
	as before. There should be no reason to change the Font externally.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Dox.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Yes, it is possible for embedded fonts to be requested when there isn't
	one, so handle it gracefully.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More renaming, and move more parsing to DefineFontTag.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename font to Font.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move DefineFont and DefineFont2 parsing into libcore/swf/DefineFontTag.{h,cpp}.
	A font can now be constructed only as an embedded font (with a DefineFontTag)
	or a device font (with name, bold, italic).

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up indentation, obsolete code, and rearrange font class.

2008-11-08  strk  <strk@gnash>

	updated

2008-11-08  strk  <strk@gnash>

	Don't forget AM_LDFLAGS (see bug #21536)

2008-11-08  strk  <strk@gnash>

	Don't throw an exception if no streams were found at construction time, it's not required anymore is it?

2008-11-08  strk  <strk@gnash>

	Fix an infinite loop in MediaParserGst constructor (probing). It should not even probe now, as isn't required, but I didn't want to change too much code so there are still unused things here and there most likely

2008-11-08  strk  <strk@gnash>

	Fix an infinite loop in MediaParserGst constructor (probing). It should not even probe now, as isn't required, but I didn't want to change too much code so there are still unused things here and there most likely

2008-11-08  strk  <strk@gnash>

	Generalize InputStream use

2008-11-08  strk  <strk@gnash>

	Generalize use of InputStream made by sound_handler.
	Have EmbedSoundInst unregister self from def on destruction.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix TextRecord parsing in DefineText tags.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Inherit values from previous TextRecord when parsing, and make sure
	to clear the GlyphEntries.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move DefineText parsing from all over the place to libcore/swf and use
	the new system for tag loading. Make TextRecord parsing more sensible
	and clean up rendering. 

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove Text, move display function to TextRecord.
	
	Make more tag constructors private so that they can only be constructed
	during parsing. Add some documentation.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Quiet logging.

2008-11-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct some typos, restore has{X,Y}Offset(). Testsuite now passes again.
	Everything seems in order.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce TextRecord class for parsing and storing TextRecords (DefineText
	and DefineText2), and also for dynamic creation from TextField.
	
	Text.h and Text.cpp are almost useless now.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename text class to Text.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Transfer DefineText and DefineText2 parsing to swf.

2008-11-08  strk  <strk@gnash>

	Handle "aux" streamers using the sound::InputStream abstraction, change
	attach_aux_streamer to return an identifier to the new inputstream plugged
	and rename detach_aux_streamer to unplugInputStream.

2008-11-07  strk  <strk@gnash>

	Fix build and totals count with older Ming versions 

2008-11-07  strk  <strk@gnash>

	4 spaces tabs

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Transfer all button parsing to libcore/swf.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Movie button_character_def to swf/DefineButtonTag. Clean up.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename button_action to ButtonAction.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix include.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move parsing of DefineButtonCxform tag outside of button_character_definition
	(though it still needs direct access to the button records). Rename stuff,
	make more things private, and provide accessors where necessary.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Consolidate parsing of SoundInfo records into one place (used in StartSound,
	DefineButtonSound, and (not implemented) StartSound2).
	
	Add StartSound2 and log unimplemented.
	
	Split parsing of DefineButtonSound from button_character_def and move into
	swf directory. Clean it up.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add StartSound2Tag (for logging, not implemented).

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Construct StartSoundTag directly from a stream. Rename members of SoundInfo.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use SoundInfoRecord to parse a SoundInfo record.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Split DefineButtonSoundTag parsing into a separate file. Clean it up and make
	access clearer.

2008-11-07  strk  <strk@gnash>

	Sync X before attempting to control a just-attached shared mem seg. See bug #24692.

2008-11-07  strk  <strk@gnash>

	include required vector header

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Further reduce the libcore/parser directory.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate shape and morph parsing / definition classes properly.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use std::fill_n instead of memset.

2008-11-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename video_stream_instance to Video.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Split video stream parsing into DefineVideoStreamTag and VideoFrameTag. Push the
	data in the frame tags to the DefineVideoStreamTag on parsing.
	
	Drop things from shape_character_def that aren't immediately useful. They 
	can easily be retrieved if necessary.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up shape_character_def so it's almost readable. Drop the debugging
	stuff, which almost certainly doesn't work any more.

2008-11-07  strk  <strk@gnash>

	Don't assume an as_value returning true from ::is_object() also returns
	non-zero from ::to_object(). It doesn't, when the as_value is a dangling
	character reference. Add a test for it. Fixes bug #24770.

2008-11-07  strk  <strk@gnash>

	Hush paranoia warning

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix abort in delete2 and correct implementation after testing.
	
	TextField cleanup and implementation.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build for earlier versions of ming.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Different behaviour according to version. All tests fixed, and so is the
	abort in http://bitstream.ca/mt/images/banner_v3.gif

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test malformed deletes. Fix abort and implement most of the delete
	modes. One failure on an odd result still.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't override get/set member for text or htmlText property. Return something
	for TextField.text and TextField.htmlText, though the first is definitely
	wrong and the second untested.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	misc-ming.all TextField pass (TextField.text implemented).

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update swfdec PASSING. Mostly new tests, three fixes from TextField.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore a (now optional) definition to the static TextField, as the default
	text appears to be immutable. The presence of a definition can be used to 
	distinguish between static and dynamic TextField. The updateText() function
	should apparently only restore the default text if there is a definition.
	
	TextField.variable returns null if the variable name is empty, which also
	happens when undefined or null is passed.
	
	Implement TextField.text setter.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix maxChars (it does not limit the length of the text, but is rather for
	limiting user input). Store defaultText so the testsuite passes again.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add the new tag parser.

2008-11-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move DefineEditText parsing to swf/DefineEditTextTag and make consistent
	with the parsing style in that directory. Drop pointer to definition (now
	tag) in TextField, as there is nothing immutable.
	
	MovieClip now constructs the TextField character directly using a second
	constructor, instead of faking a definition first.

2008-11-06  Sandro Santilli  <strk@keybit.net>

	Update help message for --with-ffmpeg-incl to fix policy

2008-11-05  Russell Nelson  <nelson@crynwr.com>

	Use -o instead of '|| test'  for portability

2008-11-05  Russell Nelson  <nelson@crynwr.com>

	http://savannah.gnu.org/patch/?6665

2008-11-05  Rob Savoye   <rob@welcomehome.org>

	fix bug with the latest ffmpeg svn installation craziness.

2008-11-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tweak TextField implementation, stub unimplemented methods.

2008-11-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect failures.

2008-11-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct totals.

2008-11-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation and cleanups in TextField.
	Add new passes in TextField and toString_valueOf (TextField SWF5 prototype).
	There are new failures because some properties of TextField should not be
	defined before instantiation. They were undefined before because they were
	not implemented at all, so this seems acceptable.
	
	The problem now appears to be that the Dejagnu.swf clip trace field shouldn't
	be regarded as a TextField instantiation, but it is by Gnash, so the prototype
	is changed before it should be.

2008-11-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename edit_text_character to TextField.
	Add password, multiline and maxChars to TextField (not implemented).
	Change prototype of first instantiation of TextField, behaviour different
	for SWF5 and SWF6+.

2008-11-04  Rob Savoye   <rob@welcomehome.org>

	improve looking for avcodec.h.

2008-11-04  Rob Savoye   <rob@welcomehome.org>

	pass LIBAVCODEC_IDENT when compiling so --version gets the right value.

2008-11-04  strk  <strk@gnash>

	Base expected results on gprocessor runs, for make check's sake

2008-11-04  strk  <strk@gnash>

	Modify signature of the aux_streamer_ptr to be as expressive as an InputStream instance.

2008-11-04  strk  <strk@gnash>

	Define an eof() method for sound::InputStream, and stop using the return value of ::fetchSamples for that. Documentation updated accordingly

2008-11-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for TextField.

2008-11-03  strk  <strk@gnash>

	Explode sound classes in their own files, fix a bug in the decoding
	loop.

2008-11-01  strk  <strk@gnash>

	Explode few classes in their own files, fix a bug in the decoding loop
	for embedded sounds.

2008-11-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Finish comment.

2008-11-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make sure the _stage is registered before calling stop(). This has the
	advantage of ensuring gtk is also ready, so that stopHook() should always
	work the first time, and also won't mess up the stage size. Add assertions
	to make debugging easier if something goes wrong.
	
	New swfdec tests pass.

2008-11-01  strk  <strk@gnash>

	Documentation and logging improvements, always keep track of audio blocks in streaming sound.

2008-11-01  strk  <strk@gnash>

	Always keep track of audio block sizes (not only for ADPCM), improve
	debugging logs

2008-11-01  strk  <strk@gnash>

	hopefully clearer message about possibly malformed audio block

2008-11-01  strk  <strk@gnash>

	Don't pass a zero-bytes buffer to the decoder, instead log an error
	about not being able to isolate a frame from input data.

2008-11-01  strk  <strk@gnash>

	drop deprecation of SoundInfo (really reflects the way a sound is defined in an SWF); cleanup dox

2008-11-01  strk  <strk@gnash>

	Improve documentation for audio codec types

2008-10-31  strk  <strk@gnash>

	fix unused parameter warning

2008-10-31  strk  <strk@gnash>

	3rd cleanup phase for sound_handler:
	- Add fetchedSamples() interface to sound::InputStream 
	- Make EmbedSoundInst a proper class (mostly private) implementing sound::InputStream
	- Cleanups volume and envelopes application
	- Use more int16_t types, refer to data in "samples"
	- Documentation improvements, todo labels left here and there

2008-10-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes in swfdec testsuite.

2008-10-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and implement __resolve property. Fixes the Flickr flash badge
	(example: http://www.widgetbox.com/widget/92061296-1f33-4713-bd33-11182bd5c7f5)
	(although the photos temporarily disappear when they should stay visible).

2008-10-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix warning.

2008-10-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up.

2008-10-31  strk  <strk@gnash>

	slightly shorter names for classes, make EmbedSound a factory for EmbedSoundInst

2008-10-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Recommit strk's patch, because bazaar is too lame anything but the
	last commit.

2008-10-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert commit.

2008-10-30  strk  <strk@gnash>

	Fix documentation of 'start' argument to sound_handler::play_sound

2008-10-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass ControlTags by auto_ptr to addControlTag to show ownership tranfer.
	Store in a boost::ptr_vector so we don't have to delete them manually.
	Document.

2008-10-30  strk  <strk@gnash>

	Second cleanup pass to SDL sound handler, still trying to move toward using
	an InputStream for embedded sounds... will take 3/4 more passes I guess

2008-10-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename mouse_button_state.h to match the class name. Tidy up and
	rename Number to Number_as, in accordance with the as_object naming
	scheme.

2008-10-30  strk  <strk@gnash>

	Have InputStream::fetchSamples return the number of samples sent to output buffer

2008-10-30  strk  <strk@gnash>

	Add throw specification

2008-10-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop something useless in array.h, add Sound tests.

2008-10-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop old stuff.
	
	Rename resource to ExportableResource and use dynamic_cast instead of
	reimplementing it.

2008-10-30  strk  <strk@gnash>

	Ooops, these were part of the previous logical commit (renames)

2008-10-30  strk  <strk@gnash>

	Some renames in sound_handler_sdl, toward turning former active_sound (now EmbeddedSoundInstance) into an InputStream..

2008-10-30  strk  <strk@gnash>

	Define a sound_handler::InputStream abstract class to use for plugging
	input channels to a sound_handler (to be renamed sound::Mixer). No
	implementations yet, but the plan is to turn both "aux" streamers and
	"active_sound" into subclasses of this.
	
	NOTE: the interface and documenation was reviewed by zou#gnash and
	kshishkov#ffmpeg, it took time and wasn't easy. The requirement for 
	samples format was based on the current SDL expectances, which match
	the assumptions found all over the place in gnash.
	Further reviews are very welcome as I proceed to define subclasses.

2008-10-30  strk  <strk@gnash>

	First cleanup phase on sound_handler_sdl. 

2008-10-29  strk  <strk@gnash>

	const corrected AudioDecoder::decode

2008-10-29  strk  <strk@gnash>

	Add more documentation for the audioCodecType enum

2008-10-29  strk  <strk@gnash>

	Some more consitency checking (driven by failed attempts to use ffmpeg-svn) and better debugging from FFMPEG media parser

2008-10-29  strk  <strk@gnash>

	Probe for completed streaming sound and dispatch onSoundComplete then; reduce probing rate to 2 pps (probes per second); As a side-effect keeps the Sound instance alive thus fixing bug #23275.

2008-10-29  strk  <strk@gnash>

	Add test for streaming Sound.loadSound and onSoundComplete

2008-10-29  strk  <strk@gnash>

	More cleanups and fixes, hopefull fixes bug #24353 

2008-10-29  strk  <strk@gnash>

	Honour --with-ffmpeg-lib so it does look for libavcodec and libavformat too; big cleanup and comments addition; use top_lib_dir and top_incl_dir to reduce confusion.

2008-10-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for MovieClip._soundbuftime.

2008-10-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the RunInfo in parsing. Change the tag loader signature. These may
	all change back(!) if RunInfo becomes a member of movie_definition, or
	if a SWFMovieDefinition is passed instead of a movie_definition.
	
	Change initialization order in Player.h to fix a segfault.
	
	Use the sound_handler and StreamProvider from the RunInfo in parsing and
	execution.
	
	Update docs.

2008-10-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add documentation.

2008-10-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix segfault by changing initialization order and giving sound_sample a
	reference to the RunInfo. Add comment about fixing this.

2008-10-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up line breaks and indentation.
	
	Use the RunInfo StreamProvider.

2008-10-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass RunInfo to SWFMovieDefinition constructor so it can be used in parsing
	later without needing RunInfo passed again. This seems safer (enforces
	same RunInfo) and more convenient.
	
	Fix testsuite build.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Builds and works, MovieTester and libcore.all not yet.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	It builds.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another intermediate stage.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	An intermediate stage.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass a RunInfo to create_movie and create_library_movie so it can be
	passed to the parser. This revision won't build.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update comments.
	
	Improve line breaks.

2008-10-29  strk  <strk@gnash>

	Fix macros used to detect which media handler is in use for --version composition

2008-10-29  strk  <strk@gnash>

	Add third arg to some check_equals calls, since the pp fails a few; add a test for arguments passed to onSoundComplete

2008-10-29  strk  <strk@gnash>

	Allow a third argument passed to check_equals and xcheck_equals for giving more info about the test

2008-10-29  strk  <strk@gnash>

	More manual linking for win32 (resampler and speex)

2008-10-29  strk  <strk@gnash>

	Try to make win32 linker happier

2008-10-29  strk  <strk@gnash>

	fix typo in error message

2008-10-28  strk  <strk@gnash>

	Don't use AudioDecoderSpeex if it's support is not to be compiled in

2008-10-28  strk  <strk@gnash>

	Try at using our custom audio decoders when we can't construct FFMPEG ones

2008-10-28  strk  <strk@gnash>

	Add a protected method to use as a fallback when media-handler specific AudioDecoders aren't available for FLASH-specific codecs.

2008-10-28  strk  <strk@gnash>

	const correct AudioDecoderSimple

2008-10-28  strk  <strk@gnash>

	const-correct nellymoser audio decoder and SoundInfo

2008-10-28  strk  <strk@gnash>

	Let AudioDecoderFfmpeg use Nellymoser when available

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add RunInfo to Makefile.am.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace globals namespace with a RunInfo class, to be externally owned and
	passed to movie_root on construction.
	
	Initialize VM from movie_root instead of the other way round. The movie_root
	instance is now owned by the hosting application.
	
	This is the first stage in refiguring the core. Still to do is:
	- give the parser code a movie_root reference
	- make movie_root own the VM (possibly with movie_root as a singleton as an
	intermediate stage)
	- add media handler and render handler to RunInfo
	- make movie_root available to as_objects without using a singleton (needs
	much work).

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add RunInfo.h, update comment, drop libsound from libmedia includes again.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	_baseURL has gone again.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Group necessary run information into a RunInfo class, presently containing
	the base URL, a swappable sound_handler (by pointer), and a StreamProvide
	(currently not used).
	
	This is designed to be owned by a hosting application, and passed to
	movie_root at construction time. The hosting application may change
	the sound_handler (and in future other handlers) as it chooses.
	
	Change movie_root constructor to take a RunInfo and hold a const reference
	to it.

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize core using movie_root:
	
	movie_root(const movie_definition&, VirtualClock&, const std::string& baseURL);
	
	The VM is still a singleton, but initialized from movie_root.
	
	Move getBaseURL and getOriginalURL to movie_root. These may form part of a
	RunInfo class.
	
	Do not call movie_root::clear in gnash::clear, as this is a big risk of 
	accessing movie_root via the VM singleton after the movie_root has been
	destroyed. It also seems to have no purpose.
	
	Adjust other classes to get baseURL from movie_root.
	
	Drop set_base_url() and get_base_url().
	
	Do not call gnash::clear after movie_root has gone out of scope in 
	utilities/processor.cpp
	
	Adjust Player, gprocessor and MovieTester to use the new movie_root signature.
	They now own the movie_root instance.

2008-10-28  strk  <strk@gnash>

	Add configure-time check for Nellymoser capability of ffmpeg

2008-10-28  strk  <strk@gnash>

	further improve debugging output, tried nellymoser but failed (I don't have it)

2008-10-28  strk  <strk@gnash>

	Improve debugging output

2008-10-28  strk  <strk@gnash>

	Improve DEBUG output on initialization (so we know when which decoder is used)

2008-10-28  strk  <strk@gnash>

	Oops, typos

2008-10-28  strk  <strk@gnash>

	Cleanup setup code and more verbose exception throwing

2008-10-28  strk  <strk@gnash>

	A parser is not always required for audio... don't bail out in these cases
	(fixes support for raw audio, see eventSoundTest1.swf)

2008-10-28  strk  <strk@gnash>

	fix assertion testing assumption about input sample size

2008-10-28  strk  <strk@gnash>

	pass correct input sample size to the AudioResampler

2008-10-28  strk  <strk@gnash>

	visual appearence cleanups

2008-10-28  strk  <strk@gnash>

	Make AudioDecoderFfmpeg failure messages more informative

2008-10-28  strk  <strk@gnash>

	Make AudioDecoderGst failure messages more informative

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix another bug in win32 build.

2008-10-28  strk  <strk@gnash>

	Put sound handlers in the gnash::sound namespace; use CUSTOM instead of FFMPEG for the custom codec types in AudioInfo and VideoInfo

2008-10-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update PlaceObject3 comments, notes about real-life cases. Just log parsing
	once, instead of two or three times.
	
	Use 0 instead of NULL in AudioDecode.h. NULL is a macro and may require
	an include (e.g. on mingw). 0 must be interpreted as the result of NULL
	by the compiler and doesn't need an include. Should fix the win32 build.

2008-10-27  Russell Nelson  <nelson@crynwr.com>

	hack, hack.  F9's xulrunner-devel *.pc are ... insufficient to the task

2008-10-27  strk  <strk@gnash>

	Fix related page syntax (Wall clock time)

2008-10-27  Sandro Santilli  <strk@keybit.net>

	fix doxygen warnings

2008-10-27  Sandro Santilli  <strk@keybit.net>

	Fix doxygen comment (hint: @tparam is for template parameters)

2008-10-27  Sandro Santilli  <strk@keybit.net>

	fix doxygen warnings

2008-10-27  Sandro Santilli  <strk@keybit.net>

	drop a never used gameswf thingy (was polluting doxygen output ;)

2008-10-27  Sandro Santilli  <strk@keybit.net>

	GnashImage is really a bitmap, tell that and add a todo item for further imporving documentation about them

2008-10-27  Bastiaan Jacques  <bastiaan@bjacques.org>

	Use std::search instead of defining our own search method.

2008-10-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make tag namespaces into classes for consistency and doxygen satisfaction.

2008-10-27  strk  <strk@gnash>

	don't use doxygen syntax for comments not intended to be published in doxygen output

2008-10-27  strk  <strk@gnash>

	brief description for gnash namespace

2008-10-27  strk  <strk@gnash>

	'Forward declarations' is not meant to be a namespace documentation ...

2008-10-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge image.h into GnashImage.h, rename image.cpp to GnashImage.cpp. Rename
	ImageBase to GnashImage.
	
	Drop unused or useless methods of GnashImage. Clean up ImageInput and 
	subclasses, leaving the interface more or less intact (getComponents()
	becomes a pure virtual, JpegImageInput::startImage() becomes 
	JpegImageInput::read() instead of being called from it. GifImageInput::init()
	is now private.
	
	Previously static image-reading and -creation functions in the image
	namespace are now static members of the appropriate ImageInput class.
	
	Drop image namespace (might not be a good idea).
	
	Fix build with speex resampling by including gnashconfig.h in
	AudioDecodeSpeex.h.
	
	Tons of documentation for the ImageInput classes. Some documentation for
	GnashImage.
	
	Fix build with visibility support.

2008-10-27  Rob Savoye   <rob@welcomehome.org>

	compare 3 bytes to FLV, not 0

2008-10-27  Rob Savoye   <rob@welcomehome.org>

	fix decodeTagHeader to work with smart pointers

2008-10-27  strk  <strk@gnash>

	Rename Util to AudioResampler, since that's what it was. Streamline headers inclusion.

2008-10-27  strk  <strk@gnash>

	Fix infinite recursion in Buffer::operator+=(amf::Element::amf0_type_e type)

2008-10-27  strk  <strk@gnash>

	Fix control reaches end of non-void function warning

2008-10-27  strk  <strk@gnash>

	Improve documentation of ExtraVideoInfo and ExtraAudioInfo and their FLV-specific subclasses

2008-10-27  strk  <strk@gnash>

	class documentation for AudioDecoderSpeex

2008-10-27  strk  <strk@gnash>

	leanup the media namespace: implementations in their own namespaces; improve documentation; drop unused code; renames where appropriate.

2008-10-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make movie_root::loadMovie() and movie_root::getURL into a consistent
	interface taking url, target, data and method, so that constructing GET,
	POST or NONE URLs is done in one place. Use a string instead of a URL for
	the same reason. Do not check the validity of the URL, as this is done
	by getStream.
	
	Drop now unnecessary construction of URL and different handling of 
	diffent methods in ASHandlers, LoadableObject, movieclip_loadMovie and
	movieclip_getURL.
	
	Adapt MovieClip::loadVariables similarly.
	
	Send requested URL directly to the hosting application without resolving
	relative URLs ourselves.
	
	Drop unused includes.

2008-10-27  strk  <strk@gnash>

	Drop unused classes, rename AudioResampler to AudioResamplerFfmpeg and give it its own file, various cleanups adn doxygen descriptions

2008-10-27  strk  <strk@gnash>

	Drop public definition of raw_mediadata_t struct, replace with a private CursoredBuffer class. Fix doxygen warnings.

2008-10-27  strk  <strk@gnash>

	More doxygen cleanups

2008-10-27  strk  <strk@gnash>

	Fix doxygen warnings and syntax

2008-10-27  Bastiaan Jacques  <bastiaan@bjacques.org>

	Disable apparently defunct test.

2008-10-27  strk  <strk@gnash>

	fix doxygen syntax for stack manipulation methods grouping

2008-10-27  strk  <strk@gnash>

	Fix members group syntax of doxygen

2008-10-27  strk  <strk@gnash>

	Cleanup doxygen syntax (reduce verbosity), fix typos and doxygen warnings.

2008-10-27  strk  <strk@gnash>

	Exclude agg compatibility include from doxygen scanned files

2008-10-27  strk  <strk@gnash>

	allow 'make apidoc' from top-level dir

2008-10-27  strk  <strk@gnash>

	it seems haxe < 2.0 is also supported

2008-10-27  strk  <strk@gnash>

	info about available modular components

2008-10-27  Bastiaan Jacques  <bastiaan@bjacques.org>

	Reinstate substring searching method overzealously removed and fix its
	documentation to be accurate. Update testcase (which is the only user).

2008-10-27  Bastiaan Jacques  <bastiaan@bjacques.org>

	Since Buffer now has a begin() and an end(), we can use std::find
	instead of specialized search methods, as demonstrated.

2008-10-26  Rob Savoye   <rob@welcomehome.org>

	merge from rtmp branch.

2008-10-26  Rob Savoye   <rob@welcomehome.org>

	LcShm is in the amf namespace now like it always should have been.

2008-10-26  Rob Savoye   <rob@welcomehome.org>

	LcShm is in the amf namespace now like it always should have been.

2008-10-26  Rob Savoye   <rob@welcomehome.org>

	Add overly verbose comments to keep doxygen freaks happy.

2008-10-26  strk  <strk@gnash>

	fix help string for --enable-renderer

2008-10-26  strk  <strk@gnash>

	Make sound_handler agnostic about GST/FFMPEG internals, but rather a normal user of MediaHandler; Move the sound_handler module in its own library and subdir (libsound)

2008-10-25  Sandro Santilli  <strk@keybit.net>

	Oops, this was missing

2008-10-25  Sandro Santilli  <strk@keybit.net>

	Move sound_handler in a new libmedia package

2008-10-26  strk  <strk@gnash>

	check parser construction

2008-10-26  strk  <strk@gnash>

	Don't assume intepretation of AudioInfo codec is FFMPEG-specific

2008-10-26  strk  <strk@gnash>

	other bad side-effect of a search&replace, plus sound formats by name rather then id in parse log

2008-10-26  strk  <strk@gnash>

	fix bad side-effect of a search&replace

2008-10-26  strk  <strk@gnash>

	fix debugging message on bogus computation of resampled buffer size

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct mouse click events.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Disable double- and triple-click events.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more tests to LoadVars, including a check that empty data is the same as
	a failed load. Gnash has a timing problem: we should always
	wait before calling onData, but Gnash does so immediately if a load fails.
	That means stop() is called after play(), so the test hangs.
	
	Gnash's only job should be to call LoadVars.onData with an undefined argument
	if it receives no data, or a string if it gets something. The default onData
	method handles everything else.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add decode to named strings.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Extend LoadVarsTest.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add "_" to escapees.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more tests and an empty file for loading tests.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo in enumerateObject so that it can be used with Objects not
	named 'o'.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve the test and adapt conclusions.

2008-10-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct lots of typos and make the test useful.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test to TEST_CASES.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	LoadVars event test.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add ming test for LoadVars (uses several frames to test onData and onLoad).

2008-10-25  strk  <strk@gnash>

	distribute brokenchord.wav and sourcefile

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test enumeration order of Transform methods. Put them in the right order.
	I might not do this for every object...

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Enumerate in creation order, not lexicographically. Don't use a map to
	enumerate into, as that will sort it again. Use SortedPropertyList, which
	does not change the order of enumeration.
	
	Implement LoadVars.toString(), which relies on this order.
	
	Gets passes in actionscript.all/enumerate.as and actionscript.all/LoadVars.as.

2008-10-25  Rob Savoye   <rob@welcomehome.org>

	merge from build branch

2008-10-25  Rob Savoye   <rob@welcomehome.org>

	merge from build branch

2008-10-24  Rob Savoye   <rob@welcomehome.org>

	fix rpm building

2008-10-24  Rob Savoye   <rob@welcomehome.org>

	add klash icon

2008-10-25  Rob Savoye   <rob@welcomehome.org>

	add icon

2008-10-25  Rob Savoye   <rob@welcomehome.org>

	merge from rtmp branch.

2008-10-25  Rob Savoye   <rob@welcomehome.org>

	Need to initialize buffers when using shared_ptr

2008-10-25  Rob Savoye   <rob@welcomehome.org>

	Need to initialize buffers when using shared_ptr

2008-10-17  rob@openmedianow.org

	fixed 24240

2008-10-17  rob@openmedianow.org

	libamf/amf.cpp

2008-10-17  rob@openmedianow.org

	merge from trunk

2008-09-22  Rob Savoye   <rob@welcomehome.org>

	Element is a shared_ptr now instead of a real pointer, so change everything
	that was used to it the old way.

2008-09-22  Rob Savoye   <rob@welcomehome.org>

	update from trunk.

2008-09-22  Rob Savoye   <rob@welcomehome.org>

	Buffer is a shared_ptr now.

2008-09-22  Rob Savoye   <rob@welcomehome.org>

	work with the latest FLV that uses shared_ptrs

2008-09-22  Rob Savoye   <rob@welcomehome.org>

	Build everything again.
	Use shared_ptrs for FLV instead of real pointers.

2008-09-22  Rob Savoye   <rob@welcomehome.org>

	use shared_ptrs for headers and tags

2008-09-21  Rob Savoye   <rob@welcomehome.org>

	Buffers are all shared_ptrs now.

2008-09-21  Rob Savoye   <rob@welcomehome.org>

	Buffer is a shared_ptr now.

2008-09-21  rob@openmedianow.org

	always used shared_ptrs when encoding.

2008-09-21  rob@openmedianow.org

	add test case for booleans

2008-09-21  rob@openmedianow.org

	Encode AMF Objects correctly when adding the properties.

2008-09-21  rob@openmedianow.org

	Modify dump() to take an ostream argument.
	Add hex2mem() and hex2digit() from test case to base class.
	Add support to copy and append from shared_ptr versions of Buffer.

2008-09-21  rob@openmedianow.org

	make encoding Elements work woth shared_ptr

2008-09-20  Rob Savoye   <rob@welcomehome.org>

	add support for adding Element AMF types directly.

2008-09-20  Rob Savoye   <rob@welcomehome.org>

	change getLength() to the more descriptive getDataSize().

2008-09-20  Rob Savoye   <rob@welcomehome.org>

	Buffer is now a shared_ptr.

2008-09-19  Rob Savoye   <rob@welcomehome.org>

	Use a shared_ptr for the buffer.

2008-09-19  Rob Savoye   <rob@welcomehome.org>

	Add support for operator= for Elemenbt types, as the first byte is often an AMF type.

2008-09-19  Rob Savoye   <rob@welcomehome.org>

	add more tests so all the new operators are covered.

2008-09-19  Rob Savoye   <rob@welcomehome.org>

	Use scoped_array instead of a raw pointer.
	Drop extraneous copy and append methods, implement them as operator= and
	operator+= instead.

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	makeNumber properties correctly.

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	add more tests for creating arrays

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	add constant for the system channel index.

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	initialize _index and _clientid.

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	The Element::init() method has been dropped, use make*() methods or
	constructors instead. Add more Element test cases. Drop test_write from
	test_sol, as it's totally bogus.

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	Drop the Element::init() method, and improve allthe constructors instead.
	Properly build objects and arrays from a vector of elements.

2008-09-17  Rob Savoye   <rob@welcomehome.org>

	merge from trunk

2008-09-12  Rob Savoye   <rob@welcomehome.org>

	merge from trunk to get lib_amferror()

2008-09-04  Rob Savoye   <rob@welcomehome.org>

	merge from trunk

2008-10-25  Sandro Santilli  <strk@keybit.net>

	shake some code in Sound::probeAudio, preparatory for reuse of the probe for a different task (detecting sound completed)

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test property enumeration. Gnash is wrong. LoadVars.toString() (and similar
	methods) rely on this.
	
	Add comment to FsCommand2 opcode.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unnecessary includes of MovieClip.h, add correct include to 
	sprite_deinition.h
	
	Minor code cleanups.
	
	Extend LoadVars test and make consistent.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename sprite_instance to MovieClip. Clean up the code.
	
	Stub all known unimplemented methods. Test and initialize MovieClip methods
	properly.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename sprite_instance to MovieClip so that it's clear where the MovieClip
	object is implemented.
	
	Clean up indentation and line breaks in MovieClip.cpp.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test MovieClip methods better. Don't init_member according to version, but
	rather set appropriate prop flags.
	
	Stub unimplemented methods so we get some useful log messages when they are
	used. All MovieClip properties should now be stubbed. It's a bug if any
	are missing.

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve the eventSoundTest.

2008-10-25  strk  <strk@gnash>

	Define a custom urlOpenerFormat for testsuite, so make check doesn't
	trigger user-defined ones (like opening dozens of browser windows..)

2008-10-25  Sandro Santilli  <strk@keybit.net>

	disable exports debugging by default, and make it nicer when enabled

2008-10-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix getURL again (oops).

2008-10-25  strk  <strk@gnash>

	Fix indexing (seek) and bytes loaded count of FLV streams. Was bug #24633.

2008-10-25  strk  <strk@gnash>

	Stop probing FLV streams in FLVParser constructor

2008-10-24  strk  <strk@gnash>

	Sound class: don't rely on MediaParser probe-on-construction

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get value from GTK spin button correctly.
	
	Drop last references to GUI from movie_root. Complete transfer of 
	implementation to AbstractIFaceCallback.

2008-10-24  Bastiaan Jacques  <bastiaan@bjacques.org>

	Add include for BSD compatibility.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build without RESAMPLING_SPEEX defined.

2008-10-24  Sandro Santilli  <strk@keybit.net>

	I prefer newlines after full stops :)

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Construct non-absolute URLs using the base URL. Fixes navigation on
	grandcentral.com (but not the login).

2008-10-24  Bastiaan Jacques  <bastiaan@bjacques.org>

	Make building against Speex optional. Use Speex's resampling module
	in AudioDecoderSpeex, if available.

2008-10-24  Bastiaan Jacques  <bastiaan@bjacques.org>

	Make Speex optional.

2008-10-24  Bastiaan Jacques  <bastiaan@bjacques.org>

	Add support for Speex's resampling library. Build system work to follow.

2008-10-24  Russell Nelson  <nelson@crynwr.com>

	KDE advice less useless now

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct test.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	It is possible for the hostname to be empty for network connections, and
	we don't want to abort.

2008-10-24  Russell Nelson  <nelson@crynwr.com>

	oops, renamed that file without telling bzr.

2008-10-24  Russell Nelson  <nelson@crynwr.com>

	improve (but not completely fix) debian packaging

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't start the test again when finished.
	
	Override markReachableResources properly.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test a bit more.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor modifications.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Extend BitmapData tests.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Typo.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for BitmapData.

2008-10-24  Sandro Santilli  <strk@keybit.net>

	Allow late hot-plugging of audio and video streams for NetStream.
	Should fix bug #24628 and bug #24540.
	Might also allow dropping the MediaParser probe completely, but
	can't tell until I take a look at the Sound class...

2008-10-24  Sandro Santilli  <strk@keybit.net>

	Make colors more absolute to help with test runner, mark end of test for test runner, advertise 'clicks' rather then keystrokes to go on; fix a bogus instruction (a red square supposedly on the right is instead on the left)

2008-10-24  Sandro Santilli  <strk@keybit.net>

	Allow mouse click instead of keystrokes, don't let tests restart after end, notify end of test

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test with different kinds of characters at various depths.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for bitmaps.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New test for BitmapData.

2008-10-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add tests for BitmapData.

2008-10-24  Sandro Santilli  <strk@keybit.net>

	Don't cast a char* to a double*, can't be done on all systems (memory alignment issues). Hopefully fixes bug #24641

2008-10-24  Bastiaan Jacques  <bastiaan@bjacques.org>

	Don't forget to add Speex linker flags.

2008-10-24  Bastiaan Jacques  <bastiaan@bjacques.org>

	Don't forget to add Speex linker flags.

2008-10-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move include as well as code from ASHandlers to movie_root. Drop
	gui.h include in core.

2008-10-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Initial implementation of Speex audio decoding in FLV. For now, it
	uses resampling from Util. 

2008-10-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	libmedia/AudioDecoderSpeex.{cpp,h}: Initial implementation of Speex
	decoder.
	configure.ac: Look for libspeex.
	libmedia/Makefile.am: Build Speex decoder.
	libmedia/gst/MediaHandlerGst.cpp: Use the Speex decoder.

2008-10-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Be a little more verbose in the docs.

2008-10-23  Bastiaan Jacques  <bastiaan@bjacques.org>

	Make the docs to decode() useful.

2008-10-23  strk  <strk@gnash>

	It seems the "Failed cleaning up share handle: Share currently in use." is still common, so let's try 10 times and then give up.
	Remember: when that happens it means there's a memory leak: an IOChannel is still alive !!

2008-10-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add yesNo() to AbstractIFaceCallback. Remove libcore's dependency on 
	Gui again. Always answer yes for now.
	
	Cleanup logging.

2008-10-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement XML.send and LoadVars.send (needs better testing).

2008-10-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test getURL, loadMovie and loadVariables calls to MovieClip.meth better.
	Implement properly.
	
	Add support for POST.
	
	Reduction code duplication with a single getURL() in movie_root.

2008-10-23  strk  <strk@gnash>

	Const correctness: VideoInfo and AudioInfo can be passed around as const refs

2008-10-23  strk  <strk@gnash>

	First step toward support for late A/V frames in NetStream streams: log UNIMPLEMENTED closer to where it should be implemented :)

2008-10-23  strk  <strk@gnash>

	Don't let NetStream::decodeNextAudioFrame return 0 when it shouldn't (fix bug #24552)

2008-10-23  strk  <strk@gnash>

	Make PlayHead construct in PAUSE mode by default. Makes more sense to me.
	Add a few comments.

2008-10-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test toLowerCase and toString calls in various "method" arguments. Implement.
	Indentation and formatting in sprite_instance.cpp.

2008-10-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Quick implementation of MovieClip.getURL() with just manual testing.
	
	Make movie_root::getHostFD() const. Clean up ASHandlers, drop debugging
	message in XMLNode_as.cpp.

2008-10-23  strk  <strk@gnash>

	drop useless code and old comment in NetStream::get_video

2008-10-23  strk  <strk@gnash>

	improve error reporting for audio decoder initialization failures

2008-10-22  strk  <strk@gnash>

	Make less noise on stdout/stderr. 

2008-10-22  Bastiaan Jacques  <bastiaan@bjacques.org>

	Add another robustness check in FLVParser. Add the new Speex codec type
	to MediaParser; not implemented yet.

2008-10-22  strk  <strk@gnash>

	Define 2 verbosity levels for the plugin: ERROR and INFO. Default to ERROR.

2008-10-22  strk  <strk@gnash>

	Comments and pseudocode preparatory for allowing late plugging of A/V consumers

2008-10-22  strk  <strk@gnash>

	Acc...

2008-10-22  strk  <strk@gnash>

	Improve documentation for MediaParser::getAudioInfo and ::getVideoInfo; add documentation for AAC and H264 codecs, add output operator support for them and leave a note for future additions

2008-10-22  strk  <strk@gnash>

	minor wording change for corrupt FLV message

2008-10-22  strk  <strk@gnash>

	Don't bail out prematurely. If ffmpeg deps are not met let the final configure check give good instructions about how to fix.

2008-10-22  strk  <strk@gnash>

	Add some comments about the way EncodedAudioFrame are created, stop
	advertising data to be of a given size if it's not.

2008-10-22  strk  <strk@gnash>

	typo: log_smferror -> log_amferror

2008-10-22  Bastiaan Jacques  <bastiaan@bjacques.org>

	Another small cleanup and simple corruption notification.

2008-10-21  Russell Nelson  <nelson@crynwr.com>

	Commit Andreas Schwab's bug fixes

2008-10-21  strk  <strk@gnash>

	Fix documentation of pushEncodedXXXFrame (ie: when it'll block waiting to be waken up)

2008-10-21  Bastiaan Jacques  <bastiaan@bjacques.org>

	More cleanups and refactoring. Restore indexing broken by last commit.

2008-10-21  Russell Nelson  <nelson@crynwr.com>

	add install instructions for csound.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for ExternalInterface.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	ExternalInterface.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stub all known methods of ExternalInterface. Make them properly static
	so that they log unimplemented when called.

2008-10-21  strk  <strk@gnash>

	tell more about the case in which nextXXXFrameTimestamp returned true but decodeNextXXXFrame returned null

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test for ExternalInterface.

2008-10-21  strk  <strk@gnash>

	Add more info about stopParserThread

2008-10-21  strk  <strk@gnash>

	Drop the public MediaParser::join in favor of a protected MediaParser::stopParserThread, called by destructors of all subclasses

2008-10-21  Bastiaan Jacques  <bastiaan@bjacques.org>

	Some more refactoring of large blobs of code.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for missing Transform elements.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for more Transform elements.

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use TWIPS_TO_PIXELS

2008-10-21  strk  <strk@gnash>

	Commented out -ansi line in multiline CXXFLAG was preventing configure
	script from adding any additional flag later (visibility flags included)

2008-10-21  strk  <strk@gnash>

	Fix 'online-tests' rule: use a common Dejagnu.swf file, copy media files under the target dir

2008-10-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove dead code from configure.ac, make file type magic a bit clearer.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use bjacques' good way of comparing char arrays to simplify filetype
	identification.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cache value correctly.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop some unused and probably useless parts of configure.ac

2008-10-20  strk  <strk@gnash>

	type.h is RGBA.h now...

2008-10-20  strk  <strk@gnash>

	be less noisy about parsed PARAM (will be all converted to -P anyway)

2008-10-20  strk  <strk@gnash>

	When logging to a file, don't replicate logs to stdout

2008-10-20  Russell Nelson  <nelson@crynwr.com>

	Oops, didn't actually copy over the same ChangeLog from 0.8.4.  Sandro caught this for me; tnx

2008-10-20  Bastiaan Jacques  <bastiaan@bjacques.org>

	Fix an off-by-one for AAC audio. Cleanups and C++-ify.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a sensible name instead of types.h. Clean up includes.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename types.{h,cpp} to RGBA.{h,cpp}, as that's all it contains.
	
	Don't include it where it isn't needed.

2008-10-20  strk  <strk@gnash>

	fix she-bang for sa launcher

2008-10-20  strk  <strk@gnash>

	Add nelson's 'launcher script' code, with additional compile-time (enabled by default) and runtime (disabled by default) switches to turn on.
	Add 'writelauncher' to your GNASH_OPTIONS to give it a try.

2008-10-20  strk  <strk@gnash>

	Add an example of how setting _width does NOT affect _yscale (since there are cases in which it does...)

2008-10-20  strk  <strk@ubuntu>

	Allow setting _width for characters w/out bounds (still not 100% correct: we don't change _yscale when setting _width or _xscale when setting _height)

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test lastIndexOf, fix a bug that would have been obvious with good testing.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test lastIndexOf properly and implement it correctly.
	
	Replace ENSURE_FN_ARGS macro with an inline function, give more information
	and use the AS function name, not the C function name.

2008-10-20  strk  <strk@ubuntu>

	Add tests for setting _width/_height on null-bounded chars (gnash fails..)

2008-10-20  strk  <strk@ubuntu>

	Fix 'uninstall-plugins' rule.

2008-10-20  strk  <strk@ubuntu>

	Change the default SOLSAFEDIR from /tmp/ to ~/.gnash/SharedObjects;
	Create the SOLSAFEDIR on a when-needed basis. Downgrade some SOLSAFEDIR-related
	ERRORS to DEBUG level.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the VM without using VM::get() more often.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more VM::get() instances.
	Use named strings where possible.

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reduce calls to VM::get(), use named strings where possible.

2008-10-20  strk  <strk@ubuntu>

	Don't override the default streamsTimeout directive with the installed systemwide gnashrc

2008-10-20  strk  <strk@ubuntu>

	Have testsuite/media use its own Makefile, add rules to create wav from csound source

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename some actionscript classes to make name more consistent.
	
	Rename matrix to SWFMatrix.

2008-10-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Lots of renaming.

2008-10-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename NetStream.

2008-10-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename matrix to SWFMatrix and some functions.

2008-10-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename some classes and files to match the class name.

2008-10-20  strk  <strk@ubuntu>

	Print a useful error on fopen() failure.

2008-10-20  strk  <strk@ubuntu>

	distribute media files needed for testsuite

2008-10-20  strk  <strk@ubuntu>

	Take MING_SUPPORTS_ASM in consideration when computing total tests run.
	See patch #6647.

2008-10-20  strk  <strk@ubuntu>

	Don't let tree.hh override gnash's mainpage (doxygen)

2008-10-20  strk  <strk@ubuntu>

	Check for perl and csound

2008-10-20  Bastiaan Jacques  <bastiaan@bjacques.org>

	Implement AAC audio decoding for FLVs analogous to H264.

2008-10-19  Bastiaan Jacques  <bastiaan@bjacques.org>

	Add support for FLVs with embedded H.264 video:
	libmedia/FLVParser.cpp: For h264, skip four extra bytes per FLV spec.
	Stop attempting to parse width and height for h.263, since it's not
	necessary (and our values for other video codecs were bogus).
	libmedia/FLVParser.h: Add FLV-specific extradata (for h264).
	libmedia/MediaParser.h: Add h264 to codec type enum.
	libmedia/ffmpeg/VideoDecoderFfmpeg.cpp: Add FLVParser's extradata.
	libmedia/gst: Update interfaces to include FLVParser's extradata.

2008-10-19  strk  <strk@ubuntu>

	messages

2008-10-18  strk  <strk@ubuntu>

	fix 0.8.4 release date

2008-10-17  Russell Nelson  <nelson@crynwr.com>

	applying czech translation update https://savannah.gnu.org/patch/?6654 

2008-10-17  Russell Nelson  <nelson@crynwr.com>

	forward-port the release changes to trunk

2008-10-17  Russell Nelson  <nelson@crynwr.com>

	bjacques pointed out that it was probably improper to remove names from the Author list.

2008-10-16  Russell Nelson  <nelson@crynwr.com>

	A couple of minor post-release fixups

2008-10-14  Dossy Shiobara  <dossy@panoptic.com>

	Changes required to get Gnash to build on Win32 again.

2008-10-13  Russell Nelson  <nelson@crynwr.com>

	post-release changes

